<?php
function my_handle_attachment($file_handler,$post_id,$set_thu=false) {
    // check to make sure its a successful upload
    if ($_FILES[$file_handler]['error'] !== UPLOAD_ERR_OK) __return_false();
    
    require_once(ABSPATH . "wp-admin" . '/includes/image.php');
    require_once(ABSPATH . "wp-admin" . '/includes/file.php');
    require_once(ABSPATH . "wp-admin" . '/includes/media.php');
    
    $attach_id = media_handle_upload( $file_handler, $post_id );
    if ( is_numeric( $attach_id ) ) {
    //update_post_meta( $post_id, '_my_file_upload', $attach_id );
    return $attach_id;
    }
}
if(isset($_REQUEST['action'])){
    if($_REQUEST['action']=="sct_GetJsonData"){
        $table_link  = $wpdb->prefix."sct_link";
        if(isset($_REQUEST['domainID']) && $_REQUEST['domainID']!=0 && $_REQUEST['domainID']!=''){
            header('Content-Type: application/json');
        $links =  $wpdb->get_results("select * from ".$table_link." where domain_id='".$_REQUEST['domainID']."' order by link_id desc",ARRAY_A);
        $newArr = array();
        foreach($links as $k=>$v){
            $v['name'] = stripcslashes($v['name']);
            $v['description'] = stripcslashes($v['description']);
            $v['utm_fields']= json_decode($v['utm_fields'],true); 
            $v['merged_data'] = json_decode($v['merged_data'],true);
            $v['fb_title'] = stripcslashes($v['fb_title']);
            $v['fb_description'] = stripcslashes($v['fb_description']);
            $subLinks =  $wpdb->get_results("select * from ".$table_link." where parent_id='".$v['link_id']."' order by link_id desc",ARRAY_A);
            $v['child_links'] = $subLinks;
            $newArr[] = $v;
        }
        echo stripcslashes(json_encode($newArr)); 
        }
        
    }
    if($_REQUEST['action']=="getTree"){
    ?>
        <link rel="stylesheet" href="<?php  echo SCT_TREE_DIR; ?>/css/easyTree.css"/>
        <link href="http://www.jqueryscript.net/css/jquerysctipttop.css" rel="stylesheet" type="text/css"/>
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
        <script src="http://netdna.bootstrapcdn.com/bootstrap/3.1.1/js/bootstrap.min.js"></script>
        <script src="<?php echo SCT_TREE_DIR; ?>/src/easyTree.js"></script>
        <style>
        .parent_li ul{
            margin: 3px 0 0 35px;
        }
        .easy-tree li::before, .easy-tree li::after{
            left: 0px !important;
        }
        .easy-tree li::after{
            border-top: none;
        }
        .easy-tree li{
            padding: 16px 0 0;
        }
        </style>
        <div class="easy-tree" style="padding-left: 4%;">
        <ul>
            <li>Landing Page
            <ul>
                <li>UP 1
                    <ul>
                    <li>Downsell 1
                        <ul>
                            <li>Thanks</li>
                        </ul>
                    </li>
                    </ul>
                </li>
                <li>UP 2
                    <ul>
                    <li>Downsell 2
                        <ul>
                            <li>Thanks 2</li>
                        </ul>
                    </li>
                    </ul>
                </li>
                <li>Thanks 3</li>    
            </ul>
            </li>
        </ul>
        </div>
        <script>
            (function ($) {
                function init() {
                    $('.easy-tree').EasyTree({
                        addable: false,
                        editable: false,
                        deletable: false
                    });
                }
        
                window.onload = init();
            })(jQuery)
        </script>
    <?php        
        
    }

    if($_REQUEST['action']=='sct_archived_link'){
        $ids = $_REQUEST['ids'];
        $table  = $wpdb->prefix."sct_link";
        foreach(explode(',',$ids) as $v){
            $wpdb->query("update $table set is_archived='1' where link_id='$v'");
        }
        echo 1;
    }
    if($_REQUEST['action']=="sct_reset_split_cal"){
        $ids =  explode(",",$_REQUEST['ids']);
        $table_link  = $wpdb->prefix."sct_link";
        $table_click  = $wpdb->prefix."sct_click";
        $table_options  = $wpdb->prefix."options";
        foreach($ids as $v){
            $wpdb->query("update $table_link set unique_clicks='0', total_clicks='0' where link_id='$v'");
            $wpdb->query("delete from $table_click where link_id='$v'");
            $wpdb->query("delete from $table_click where source_link_id='$v'");
            
            $wpdb->query("delete from $table_options where option_name='split_test_counter_$v'");
            $wpdb->query("delete from $table_options where option_name='split_children_count_$v'");
            $wpdb->query("delete from $table_options where option_name='split_number_counter_$v'");
            
            $wpdb->query("delete from $table_options where option_name='splitTest_$v'");
            $wpdb->query("update $table_link set unique_clicks='0', total_clicks='0' where link_id='$v'");
        }
        
    }
    if($_REQUEST['action']=="sctimgupload"){
            if ($_FILES['img_url']['name']) { 
                $file = array( 
                    'name' => $_FILES['img_url']['name'],
                    'type' => $_FILES['img_url']['type'], 
                    'tmp_name' => $_FILES['img_url']['tmp_name'], 
                    'error' => $_FILES['img_url']['error'],
                    'size' => $_FILES['img_url']['size']
                ); 
                $_FILES = array ("img_url" => $file);             
                    foreach ($_FILES as $file => $array) {              
                    $newupload = my_handle_attachment($file,$pid);
                        $img = wp_get_attachment_image_src($newupload,'full');
                        echo $img[0];
                    } 
            }else{
                echo 0;
            }
    }
    
    if($_REQUEST['action']=="delete_multiple_links"){
        //$ids =  explode(",",$_REQUEST['ids']);
        $table_link  = $wpdb->prefix."sct_link";        
        $formated_links_ids = array_fill(0, count($_POST['links']), '%d');
    	$links = implode(", ", $formated_links_ids);
    
    	 $wpdb->query($wpdb->prepare('DELETE FROM '.$table_link.' WHERE link_id IN ('.$links.')', $_POST['links']));
         $wpdb->query($wpdb->prepare('DELETE FROM '.$table_link.' WHERE parent_id IN ('.$links.')', $_POST['links']));
        
    }
    if($_REQUEST['action']=="sct_clean_stats"){ // SCT CLEAR STATS OF ALL THE LINKS
        $table_click  = $wpdb->prefix."sct_click";
        $table_link  = $wpdb->prefix."sct_link";
        $wpdb->query("TRUNCATE TABLE $table_click");
        $wpdb->query("update $table_link set total_clicks='0', unique_clicks='0', first_click='0000-00-00 00:00:00', last_click='0000-00-00 00:00:00', last_check='0000-00-00 00:00:00'");
        echo 1; 
    }
    if($_REQUEST['action']=="sct_clean_stats_link"){ // SCT CLEAR STATS OF SPECIFIC LINK
        $table_click  = $wpdb->prefix."sct_click";
        $table_link  = $wpdb->prefix."sct_link";
        if(isset($_POST['link_id']) && $_POST['link_id']!=''){
            $wpdb->query("delete from $table_click where link_id='".$_POST['link_id']."'");
            $wpdb->query("update $table_link set total_clicks='0', unique_clicks='0', first_click='0000-00-00 00:00:00', last_click='0000-00-00 00:00:00', last_check='0000-00-00 00:00:00' where link_id='".$_POST['link_id']."'");
            echo 1; 
        }
    }
    if($_REQUEST['action']=="sct_export_link"){
        $table_link  = $wpdb->prefix."sct_link";
        $table_click  = $wpdb->prefix."sct_click";
        if(isset($_REQUEST['link_id'])){
            $array = array();
            $links =  $wpdb->get_row("select * from ".$table_link." where link_id='".$_REQUEST['link_id']."'",ARRAY_A);
            //echo count($links);
            $array['main'] = $links;
            /*
            $get_link_clicks = $wpdb->get_results("select * from ".$table_click." where link_id='".$_REQUEST['link_id']."'",ARRAY_A);
            if(count($get_link_clicks)>0){
                $array['main']['CLICKS'] =     $get_link_clicks;
            }
            */
            $links_child =  $wpdb->get_results("select * from ".$table_link." where parent_id='".$_REQUEST['link_id']."'",ARRAY_A);
            if(count($links_child)>0){
                foreach($links_child as $k=>$v){
                    $array['child'][$k] = $v;    
                    /*$get_link_clicks = $wpdb->get_results("select * from ".$table_click." where link_id='".$v['link_id']."'",ARRAY_A);
                    if(count($get_link_clicks)>0){
                        $array['child'][$k]['CLICKS'] =     $get_link_clicks;
                    } */
                }
                    
            }
            echo json_encode($array);
        }
    }
    if($_REQUEST['action']=="assign_multiple_group"){
        
        $table_link  = $wpdb->prefix."sct_link";
        if(isset($_REQUEST['links']) && count($_REQUEST['links'])>0){
            foreach($_REQUEST['links'] as $key=>$val){
                $wpdb->query("update $table_link set group_id='".$_REQUEST['group_id']."' where link_id='$val'");
            }
        }
    }
    if($_REQUEST['action']=="merge_links"){
        if(isset($_REQUEST['merge_id'])){
        $group_id = $_REQUEST['merge_id'];
            $str = implode (",",$_REQUEST['links']);
            $links_selected =  $wpdb->get_results("select link_id from ".$wpdb->base_prefix."sct_link"." where group_id IN($str)",ARRAY_A);
            if(count($links_selected)>0){
                $link_ids = array();
                foreach($links_selected as $key=>$val){
                    $link_ids[] = $val['link_id'];
                }
                $wpdb->query("update ".$wpdb->base_prefix."sct_link"." set group_id='$group_id' where link_id IN(".implode (",",$link_ids).")");
                $wpdb->query("delete from ".$wpdb->base_prefix."sct_group"." where group_id IN($str)");
            }
        }
    }
    if($_REQUEST['action']=="utm_id_bulk_update"){
        $link_ids = $_REQUEST['link_ids'];
        //$utm_ids = explode(',',$_REQUEST['utm_ids']);
        $utm_ids = $_REQUEST['utm_ids'];
        $links_selected =  $wpdb->get_results("select link_id,utm_fields from ".$wpdb->base_prefix."sct_link"." where link_id IN($link_ids)",ARRAY_A);
        foreach($links_selected as $key=>$data){
            if($data['utm_fields']!=""){
                $utm_fields  = json_decode($data['utm_fields'],true);
                $array_utm = array();
                foreach($utm_fields as $k=>$val){
                    $val['utm_id'] = $utm_ids;
                    $array_utm[]=$val;
                }
                $wpdb->query("update ".$wpdb->base_prefix."sct_link set utm_fields='".json_encode($array_utm)."' where link_id='".$data['link_id']."'");
            }
        }
    }  
}
?>