<?php

$code = "ErrorDocument 404 /sct/index.php";

$error_msg =<<<END

Because we could not write the necessary information to your .htaccess file, you may also do so yourself by adding or replacing "ErrorDocument" with the following line...<br />
<br />
{$code}

END;

$htaccess_path = dirname(dirname(__FILE__)).'/.htaccess';

if (!is_file($htaccess_path))
{
	//	echo 'Creating .htaccess file...';
	if (!file_put_contents($htaccess_path, $code))
	{
		exit('<h2>ERROR - Permission denied for file: '.$htaccess_path.'</h2>'.$error_msg);
	}
	//	echo 'done';
}
else
{
	$htaccess = @file_get_contents($htaccess_path);

	if (stristr($htaccess, 'ErrorDocument 404') === false)
	{
		//		echo 'Adding "ErrorDocument" to .htaccess file..';
		$htaccess .= $code;
		//		echo 'done';
	}
	else
	{
		//		echo 'Editing "ErrorDocument" in .htaccess file..';
		$htaccess = preg_replace('/ErrorDocument 404 .*/i', $code, $htaccess);
		//		echo 'done';
	}

	if (!file_put_contents($htaccess_path, $htaccess))
	{
		exit('<h2>ERROR - Permission denied for file: '.$htaccess_path.'</h2>'.$error_msg);
	}
}

echo '<h2>Installation succeeded!!</h2><br />';
echo 'You can now add your first domain and start adding redirect links <br />';