<?php

$zip = new ZipArchive();

$temp_zip_path = tempnam(sys_get_temp_dir(), 'sct_');

if ($zip->open($temp_zip_path, ZipArchive::CREATE) !== true)
{
	exit("cannot open <$temp_zip_path>\n");
}

$ajax_url	= admin_url('admin-ajax.php');
$index		= file_get_contents(SCT_APP_PATH.'/sct/index.php');
$install	= file_get_contents(SCT_APP_PATH.'/sct/install.php');

$index = str_replace('{{ajax_url}}', $ajax_url, $index);

$zip->addFromString('sct/index.php', $index);
$zip->addFromString('sct/install.php', $install);
$zip->close();

header('Content-type: application/zip');
header('Content-Disposition: attachment; filename="simple_click_tracker.zip"');
readfile($temp_zip_path);

@unlink($temp_zip_path);
exit();
