<?php
if (!isset($_REQUEST['last']))
{
	$_REQUEST['last'] = 'month';
}
if(!isset($_REQUEST['domain_id'])){
	$_REQUEST['domain_id'] = get_user_meta(get_current_user_id(), 'sct_dflt_domain_id', true);
} 
$where_list = array();
if (isset($_REQUEST['domain_id']) && $_REQUEST['domain_id']!=0)
{
	$where_list[] = ' l.domain_id = '.(int)$_REQUEST['domain_id'];
}
if($user_type!=2){
    $where_list[] = 'l.user_id IN( '.Sct_Base::getActorUserId().')';
}
/*
if (isset($_REQUEST['group_id']))
{
	$where_list[] = ' l.group_id = '.(int)$_REQUEST['group_id'];
}*/
$wheres = '';
if ($where_list)
{
	$wheres = ' AND '.implode(' AND ', $where_list);
}
switch ($_REQUEST['last'])
{
	case 'month':
		$sql = '
		SELECT
			DATE_FORMAT(c.`date_time`, "%c/%e") AS `key`,
			COUNT(*) AS `total_clicks`,
			COUNT(DISTINCT c.`ip`) AS `unique_clicks`
		FROM
			'.Sct_Base::$table['click'].' c,
			'.Sct_Base::$table['link'].' l
		WHERE
			c.link_id = l.link_id
			'.$wheres.'
		AND
			c.`date_time` >= DATE_SUB(NOW(), INTERVAL 1 MONTH)
		GROUP BY
			DATE_FORMAT(c.`date_time`, "%c/%e")
		';
		//l.user_id = '.Sct_Base::getActorUserId().'
		break;
	case 'week':
		$sql = '
		SELECT
			DATE_FORMAT(c.`date_time`, "%c/%e") AS `key`,
			COUNT(*) AS `total_clicks`,
			COUNT(DISTINCT c.`ip`) AS `unique_clicks`
		FROM
			'.Sct_Base::$table['click'].' c,
			'.Sct_Base::$table['link'].' l
		WHERE
			c.link_id = l.link_id
		AND
			l.user_id = '.Sct_Base::getActorUserId().'
		AND
			c.`date_time` >= DATE_SUB(NOW(), INTERVAL 1 WEEK)
		GROUP BY
			DATE_FORMAT(c.`date_time`, "%c/%e")
		';
		break;
	case 'day':
		$sql = '
		SELECT
			DATE_FORMAT(c.`date_time`, "%H") AS `key`,
			COUNT(*) AS `total_clicks`,
			COUNT(DISTINCT c.`ip`) AS `unique_clicks`
		FROM
			'.Sct_Base::$table['click'].' c,
			'.Sct_Base::$table['link'].' l
		WHERE
			c.link_id = l.link_id
		AND
			l.user_id = '.Sct_Base::getActorUserId().'
		AND
			c.`date_time` >= DATE_SUB(NOW(), INTERVAL 1 DAY)
		GROUP BY
			DATE_FORMAT(c.`date_time`, "%H")
		';
		break;
	case 'hour':
		$sql = '
		SELECT
			DATE_FORMAT(c.`date_time`, "%i") AS `key`,
			COUNT(*) AS `total_clicks`,
			COUNT(DISTINCT c.`ip`) AS `unique_clicks`
		FROM
			'.Sct_Base::$table['click'].' c,
			'.Sct_Base::$table['link'].' l
		WHERE
			c.link_id = l.link_id
		AND
			l.user_id = '.Sct_Base::getActorUserId().'
		AND
			c.`date_time` >= DATE_SUB(NOW(), INTERVAL 1 DAY)
		GROUP BY
			DATE_FORMAT(c.`date_time`, "%i")
		';
		break;
}
$sql .= ' ORDER BY c.`date_time`';
$data_list = $wpdb->get_results($sql, ARRAY_A);
if ($data_list)
{
?>
<div id="chart1_div" style="width: 99%; height: 200px; border: 1px solid #DDD;"></div>
<script type="text/javascript" src="https://www.google.com/jsapi"></script>
<script type="text/javascript">
jQuery('.sct_filter_select').change(function(){
	var domain_id = jQuery('#sct_filter_domain').val();
	var link_id = jQuery('#sct_filter_link').val();
	var last = jQuery('#sct_filter_last').val();
	window.location.href = '<?php echo $base_url ?>?action=report_summary&domain_id=' + domain_id + '&link_id=' + link_id + '&last=' + last;
});
google.load("visualization", "1", {packages:["corechart"]});
google.setOnLoadCallback(drawChart1);
function drawChart1() {
	var data = google.visualization.arrayToDataTable([
<?php
	switch ($_REQUEST['last'])
	{
		case 'month':
			echo "['Day', 'Total Clicks', 'Unique Clicks'],\n";
			break;
		case 'week':
			echo "['Day', 'Total Clicks', 'Unique Clicks'],\n";
			break;
		case 'day':
			echo "['Hour', 'Total Clicks', 'Unique Clicks'],\n";
			break;
		case 'hour':
			echo "['Minute', 'Total Clicks', 'Unique Clicks'],\n";
			break;
	}
	foreach ($data_list as $key => $data)
	{
		echo "['".$data['key']."', ".(int)$data['total_clicks'].", ".(int)$data['unique_clicks']."],\n";
	}
?>
	]);
	var options = { title: 'Clicks' };
	var chart1 = new google.visualization.LineChart(document.getElementById('chart1_div'));
	chart1.draw(data, options);
}
</script>
<br />
<?php
}