<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>data table</title>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.22/css/dataTables.bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/fixedheader/3.1.7/css/fixedHeader.bootstrap.min.css">
    <link rel="stylesheet" href=" https://cdn.datatables.net/responsive/2.2.6/css/responsive.bootstrap.min.css">
<style>
	#wpcontent, #wpfooter{
		background: #f0f0f1;
	}
	h1{
		font-size: revert;
	}
	.pagination{
		display: flex;
    justify-content: flex-end;
	align-items: center;
}
.table.dataTable thead .sorting:after{
	visibility: hidden;
}
.table.dataTable thead .sorting_asc:after{
	visibility: hidden;
}
.table.dataTable thead .sorting_desc:after{
	visibility: hidden;
}
.table.dataTable thead .sorting_desc:after{
	visibility: hidden;
}
.pagination a{
border:1px solid #000;
margin-right: 10px;
text-decoration: none;
padding: 5px 10px;
color: #FFF;
    background-color: #FF9933;
	border-width: 2px;
  border-style: solid;
  border-image: linear-gradient(to bottom, #767676, #000) 1;
}
</style>
</head>
<?php
$sql_bydomain = Sct_Base::get_user_join_ids();
if(is_array($sql_bydomain) && @count($sql_bydomain)>0){
    $assigned_domains = implode(',',json_decode($sql_bydomain['assigned_domain']));
    $us = $wpdb->get_results("select user_id from  ".self::$table['domain']." where domain_id IN($assigned_domains)",ARRAY_A);
    $arv = array();
    foreach($us as $u){
        $arv[] = $u['user_id'];
    }
    $assigned_user = implode(',',$arv).','.Sct_Base::getActorUserId();
    $user_type = $sql_bydomain['user_type'];
}else{
    $user_type = 2;
    $assigned_user = Sct_Base::getActorUserId();
}
if($user_type==2){
$sql = '
SELECT
	l.*
FROM
	'.self::$table['link'].' l
WHERE
	l.parent_id = 0
AND
	l.has_children > 0
AND 
    l.rotator_type=1
ORDER BY
	l.created DESC';
}else{
    $sql = '
    SELECT
    	l.*
    FROM
    	'.self::$table['link'].' l
    WHERE
    	l.user_id = '.Sct_Base::getActorUserId().'
    AND
    	l.parent_id = 0
    AND
    	l.has_children > 0
    AND 
    l.rotator_type=1
    ORDER BY
    	l.created DESC';
}
$link_list = $wpdb->get_results($sql, ARRAY_A);
?>
	<div class="sct_button_bar">
		<button onclick="window.location.href='<?php echo $base_url ?>action=link_edit&link_type=split'" class="sct_button">
			Add Split Test
		</button>
	</div>
	<table id="split_tbl" class="table table-striped table-bordered nowrap table sct_list_table"  style="width:100%;">
	       <thead>
                <tr>
                    <th>Name</th>
					<th width="200px">Created</th>
                </tr>
            </thead>
			<tbody>
<?php
if ($link_list)
{
	foreach ($link_list as $link)
	{
		$edit_url = $base_url.'action=link_edit&link_id='.$link['link_id'];
?>
                <tr>
			<td><span><a href="<?php echo $edit_url ?>"><img src="<?php echo SCT_BASE_URL ?>/includes/icons/pencil.png" width="16" height="16" style="width: 16px; height: 16px;" alt="Edit" title="Edit" border="0" /></a>
</span><a href="<?php echo $edit_url; ?>" link="Edit"><?php echo strip_tags($link['name']) ?></a></td>
              <td>
			  <?php echo strip_tags($link['created']) ?>
			  </td>
                </tr>	
<?php
	}
}
else
{
?>
		<tr>
			<td class="sct_empty" colspan="2" align="center"><br />Empty<br /><br /></td>
		</tr>
		</tbody>
		<tfoot>
		 </tfoot>
<?php
}
?>
	</table>
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/dataTables.bootstrap.min.js"></script>
    <script src="https://cdn.datatables.net/fixedheader/3.1.7/js/dataTables.fixedHeader.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.6/js/dataTables.responsive.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.2.6/js/responsive.bootstrap.min.js  "></script>
    <script>
        jQuery(document).ready(function() {
            var table = jQuery('#split_tbl').DataTable( {
                order: [[1, 'desc']],
                responsive: true
            } );
            new jQuery.fn.dataTable.FixedHeader( table );
        } );
    </script>