<?php
/*
 Plugin Name: Simple Click Tracker
 Plugin URI: http://namstoolkit.com
 Description:
 Author: NAMS, Inc
 Author URI: http://namstoolkit.com
 Version: 7.1.9
 */
if (!defined('SCT_VERSION'))
{
	define('SCT_VERSION',	'7.1.9');
}
define('SCT_PATH',		dirname(__FILE__));
define('SCT_APP_PATH',	SCT_PATH.'/app');
define('SCT_IMAGE_PATH',	SCT_PATH.'/includes/images');
define('SCT_BASE_URL',	plugin_dir_url(__FILE__));
define('SCT_AJAX_URL',	admin_url('admin-ajax.php').'?action=sct');
define('SCT_VALID_DOMAIN_I','38');
define('SCT_NO_ARROW_URL', plugins_url('includes/images/s.gif' , __FILE__));
define('SCT_UP_ARROW_URL', plugins_url('includes/icons/arrow_up.png' , __FILE__));
define('SCT_DN_ARROW_URL', plugins_url('includes/icons/arrow_up.png' , __FILE__));
define('SCT_IMP_URL', plugins_url('includes/images/import.png' , __FILE__));
define('SCT_IMPORTSAMPLE_URL', plugins_url('includes/sample.csv' , __FILE__));
define('SCT_TREE_DIR', plugins_url('includes/tree' , __FILE__));
if (is_admin())
{
    $updater_url = 'https://namstoolkit.com/pluginupdater/simple_click/dev/update.json';
	require 'plugin-update-checker-master/plugin-update-checker.php';
	$ExampleUpdateChecker = new PluginUpdateChecker_2_0($updater_url, __FILE__, 'stc');
}
require_once ('s3_click_tracker_functions.php'); 
register_activation_hook(__FILE__, 'Sct_activatePlugin' );