<?php       
class Sct_Base
{
	public static $name			= 'simple_click_tracker';
	public static $action		= NULL;
	public static $form_vars	= array();
	public static $errors		= array();
	public static $table		= array();
	public static $context		= NULL;
	public static $plugin_url	= NULL;
	public static $is_full_access	= 0;
	public static $crypt_key	= '34n9012223db2ec5y3655ak98c7fe2f1';
	public static function initBase()
	{
		if (!self::$plugin_url)
		{
			global $wpdb;
			self::$table = array(
			'click'			=> $wpdb->base_prefix.'sct_click',
			'404_log'		=> $wpdb->base_prefix.'sct_404_log',
			'funnel'		=> $wpdb->base_prefix.'sct_funnel',
			'funnel_link'	=> $wpdb->base_prefix.'sct_funnel_link',
			'group'			=> $wpdb->base_prefix.'sct_group',
			'domain'		=> $wpdb->base_prefix.'sct_domain',
			'link'			=> $wpdb->base_prefix.'sct_link',
			'user_join'		=> $wpdb->base_prefix.'sct_user_join',
            'funnel_link_new' => $wpdb->base_prefix."sct_funnel_link_new",
            'split_count' => $wpdb->base_prefix."sct_split_count"
			);
			self::$plugin_url = SCT_BASE_URL;
			if ($_SERVER['HTTP_HOST'] == 'mynams.com')// || $_SERVER['HTTP_HOST'] == 'gozer.smclz.com')
			{
				Sct_Base::$is_full_access = 1;
			}
			else
			{
				//Sct_Base::$is_full_access = get_option('rlm_full_access_'.self::$name, 0);
                Sct_Base::$is_full_access = 1;
			}
		}
	}
    public static function getallheaders_custom()
    {
        if (!is_array($_SERVER)) {
            return array();
        }
        $headers = array();
        foreach ($_SERVER as $name => $value) {
            if (substr($name, 0, 5) == 'HTTP_') {
                $headers[str_replace(' ', '-', ucwords(strtolower(str_replace('_', ' ', substr($name, 5)))))] = $value;
            }
        }
        return $headers;
    }
    public static function sct_getServerURL(){
    	$serverName = $_SERVER['SERVER_NAME'];
    	$filePath = $_SERVER['REQUEST_URI'];
    	if(strrpos($filePath,'/?')!==false)
    		$withInstall = substr($filePath,0,strrpos($filePath,'/'));
    	else
    		$withInstall = $filePath;
    	$withInstall1 = substr($withInstall,0,strrpos($withInstall,'/'));
    	$serverPath = $_SERVER['SERVER_NAME'].$withInstall1;
    	if(strpos($serverPath,'http')===false){
    		$serverPath = 'http://'.$serverPath;
    	}
    	return $serverPath;
    }
    public static function parseURL_domain($show_more_link){
        $input = trim($show_more_link, '/');
        if (!preg_match('#^http(s)?://#', $input)) {
        $input = 'http://' . $input;
        }
        $urlParts = parse_url($input);
        $domain = preg_replace('/^www\./', '', $urlParts['host']);
        return $domain;
    }
    public static function block_ips(){
        $block_ip = get_option("sct_block_ips");
        if($block_ip!=""){
            $IP_LIST = json_decode($block_ip,true);
        foreach($IP_LIST as $key=>$val){
             $ret =  explode("-",$val);
             if(count($ret)>1){
                unset($IP_LIST[$key]);
                $ret_1 = explode(".",$ret[0]);
                for($i=$ret_1[3]; $i<=$ret[1]; $i++){
                     $IP_LIST[] =  $ret_1[0].".".$ret_1[1].".".$ret_1[2].".".$i;
                }
             }
        }
        $block_ip = $IP_LIST;
        }else{
            $block_ip = array();    
        }
        return $block_ip;
    }
    public static function get_client_ip_sct() {
        $ipaddress = '';
        if (isset($_SERVER['HTTP_CLIENT_IP']))
            $ipaddress = $_SERVER['HTTP_CLIENT_IP'];
        else if(isset($_SERVER['HTTP_X_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
        else if(isset($_SERVER['HTTP_X_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_X_FORWARDED'];
        else if(isset($_SERVER['HTTP_FORWARDED_FOR']))
            $ipaddress = $_SERVER['HTTP_FORWARDED_FOR'];
        else if(isset($_SERVER['HTTP_FORWARDED']))
            $ipaddress = $_SERVER['HTTP_FORWARDED'];
        else if(isset($_SERVER['REMOTE_ADDR']))
            $ipaddress = $_SERVER['REMOTE_ADDR'];
        else
            $ipaddress = 'UNKNOWN';
        return $ipaddress;
    }
    public static function count_update_splitTest(){
        
    }
	public static function handleRedirect($domain, $pt_all, $qury_string,$do_404 = true)
	{
        if(isset($_SERVER['HTTP_REFERER'])){
            $ref = @$_SERVER['HTTP_REFERER'];
        }else{
            $ref = "";
        }
        ob_start();
        $blickIpList = Sct_Base::block_ips();
        $client_ip = Sct_base::get_client_ip_sct();
        if (!function_exists('getallheaders')) {
            $my_header = Sct_Base::getallheaders_custom();
        }else{
            $my_header = getallheaders();
        }
        if(!isset($my_header['User-Agent'])){
            if(isset($my_header['user-agent'])){
                $my_header['User-Agent'] = $my_header['user-agent'];
            }
        }
        $search_engiones = array('www.google.com','www.google.com.pk','www.google.as','www.google.co.uk','www.google.com.au','www.google.co.ind','www.google.ae',
        'www.google.ca','www.google.com.af','www.google.com.ec','www.google.li','www.google.co.nz','www.google.com.sa','www.google.com.tw','www.google.vu','www.google.com.uy',
        'www.google.nl','www.google.no','www.google.com.ni','www.google.ac','www.google.am','www.google.com.bd','www.google.com.br','www.google.cl','www.google.com.ua',
        'www.google.ru','www.google.com.sg','www.google.sh','www.google.com.mx',
        'www.bing.com','bing.com',
        'search.yahoo.com','www.search.yahoo.com','www.yahoo.com','yahoo.com',
        'www.baidu.com','baidu.com');
        $ref_url = parse_url($ref);
        $path_search = isset($ref_url['host']) ? $ref_url['host'] : '';
       $q_path = parse_url($pt_all);
       $path = isset($q_path['path']) ? $q_path['path'] : '';
       $qry_string = @$qury_string;
	   global $wpdb;
       $http_ref = '';
        if (isset($_SERVER['HTTP_REFERER'])) {
            $http_ref = rtrim($_SERVER['HTTP_REFERER'], '/');
        }
       $red_rect_link = Sct_Base::sct_getServerURL();
       $site_link = Sct_Base::sct_getServerURL();
       $primary_domain = $domain;
       $funnel_url = rtrim($red_rect_link,'/');
       $path = rtrim($path,'/');
       $post_slung = explode('/',$path);
       if (is_array($post_slung) && count($post_slung) > 1) {
            $post_slung_link = $post_slung[count($post_slung) - 1];
        } else {
            $post_slung_link = $post_slung[0];
        }
        /*
        $tabl = $wpdb->prefix."posts";
        $tab2 = $wpdb->prefix."postmeta";
        $sqls = ' SELECT
        p1.*,
        wm2.meta_value
    FROM 
        '.$tabl.' p1
    LEFT JOIN 
        '.$tab2.' wm1
        ON (
            wm1.post_id = p1.id 
            AND wm1.meta_value IS NOT NULL
            AND wm1.meta_key = "_thumbnail_id"              
        )
    LEFT JOIN 
        '.$tab2.' wm2
        ON (
            wm1.meta_value = wm2.post_id
            AND wm2.meta_key = "_wp_attached_file"
            AND wm2.meta_value IS NOT NULL  
        )
    WHERE
        p1.post_status="publish" 
        AND p1.post_type IN ("post","page") AND p1.post_name="'.trim($post_slung_link).'"
    ORDER BY 
        p1.post_date DESC';
	    $get_post = $wpdb->get_results($sqls,ARRAY_A);//$wpdb->get_results($sqls,ARRAY_A);
        if(is_array($get_post) && @count($get_post) > 0) {
            $get_post = $get_post[0]; // 0 index copied
        }
        $feat_image = wp_get_attachment_url( get_post_thumbnail_id(@$get_post['ID']) );
        */
        if (isset($_SERVER['HTTPS']) && !empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off')
            $scheme = 'https://';
        else
            $scheme = 'http://';
        $rurl = $scheme.$domain."/".trim($path, '/');
       //$check = $wpdb->get_row("select * from ".self::$table['funnel_link_new']." where funnel_url='$funnel_url' and red_url='$http_ref'",ARRAY_A);
       if($http_ref==""){
        $check = $wpdb->get_results("select * from ".self::$table['funnel_link_new']." where funnel_url='$http_ref' or red_url='$rurl'",ARRAY_A);
       }else{
        $check = $wpdb->get_results("select * from ".self::$table['funnel_link_new']." where red_url='$rurl' ",ARRAY_A);
       }
       if (is_array($check) && count($check) > 0) {
            $check = @$check[0]; // 0 index
         if(!in_array($client_ip,$blickIpList)){
            if($check['funnel_type']==2){
                $wpdb->query("update ".self::$table['funnel_link_new']." set `unique_click` = `unique_click` + 1 , `conversions` = `conversions` + 1 where funnel_link_id='$check[funnel_link_id]'");
            }else if($check['funnel_type']==0){
                $wpdb->query("update ".self::$table['funnel_link_new']." set `unique_click` = `unique_click` + 1, `conversions` = `conversions` + 1 where funnel_link_id='$check[funnel_link_id]'");
            }else if($check['funnel_type']==1){
                $wpdb->query("update ".self::$table['funnel_link_new']." set `unique_click` = `unique_click` + 1 where funnel_link_id='$check[funnel_link_id]'");
            }else if($check['funnel_type']==3){
                $wpdb->query("update ".self::$table['funnel_link_new']." set `unique_click` = `unique_click` + 1, `conversions` = `conversions` + 1 where funnel_link_id='$check[funnel_link_id]'");
            }
         }
       }
       /******* DOMAIN WWW FIXED *******/
        $domain_result = $wpdb->get_row('SELECT * FROM '.Sct_Base::$table['domain'].' WHERE domain = "'.addslashes($domain).'"', ARRAY_A);
        if(empty($domain_result)){
            $string = substr($domain, 0, 4);
            if($string=="www."){
                $domain = str_replace("www.","",$domain);
            }else if($string!="www."){
                $domain = "www.".$domain;
            }
            $domain_result = $wpdb->get_row('SELECT * FROM '.Sct_Base::$table['domain'].' WHERE domain = "'.addslashes($domain).'"', ARRAY_A);
        }
        
		//$domain = $wpdb->get_results('SELECT * FROM '.Sct_Base::$table['domain'].' WHERE domain = "'.addslashes($domain).'"', ARRAY_A);
        if (is_array($domain_result) && count($domain_result) > 0) {
            $domain = $domain_result; // 0 index of array
        }
        /******* DOMAIN WWW FIXED *******/
        if (isset($domain['domain_id'])){
			$sql = '
			SELECT
				*,
				IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check
			FROM
				'.Sct_Base::$table['link'].'
			WHERE
				(path = "'.addslashes($path).'" OR path = "'.addslashes(trim($path, '/')).'")
			AND
				domain_id = '.(int)$domain['domain_id'];
			$link = $wpdb->get_results($sql, ARRAY_A);
            if (is_array($link) && count($link)) {
                $link = $link[0];
            }
			if (isset($link['link_id']) && $link['link_id']!="")
			{
			     $q_run = "";
                 $array_query_string = array();
			     if($link['query_string']==0){
			             /*if($link['utm_fields']!=""){
			                 $q_run = "?".http_build_query(json_decode($link['utm_fields']), '', '&amp;');
			             }else if($qry_string!=""){
			                 $q_run = "?".$qry_string;     
			             }*/
                         if($link['utm_in']==1){
                            $utm_fields  = json_decode($link['utm_fields'],true);
                            if(isset($utm_fields[1]) && !empty($utm_fields[1])){
                                $q_run = "?".http_build_query($utm_fields[1], '', '&');    
                            }
                         }else{
                             if($qry_string!=""){
    			                 $q_run = "?".$qry_string;     
                                parse_str($qry_string, $array_query_string);
    			             }
                         }
                   }else{
                         $q_run = "";
                   }
			     $linkData = $link;
				$d_link = $link;
				if ((int)@$link['has_children'])
				{
				    if($link['rotator_type']==1){ // Split Test
                        if ($link['split_test_winner'] != 1) {
                            $winner_link =  $wpdb->get_row($wpdb->prepare("SELECT * FROM " . Sct_Base::$table['link'] . " WHERE parent_id = %d AND split_test_winner = 1", $link['link_id']), ARRAY_A);
                        }
                        if (isset($winner_link)) {
                            $d_link = $winner_link;
                        } else {
                            $json  = @array_reverse(json_decode($linkData['merged_data'],true));
                        if(is_array($json)){
                            $one = $json[0];
                            unset($json[0]);
                            $json = @array_reverse($json);
                            $json = array_merge(array($one),$json);
                             
                           /* // COMMENTED 
                           if(get_option("split_test_counter_".$linkData['link_id'])==""){
                               $counter = 0;
                           }else{
                               $counter = get_option("split_test_counter_".$linkData['link_id']);
                           }
                           $counter = $counter;
                           */
                            $array = $json;
                           $split_children_count =  $wpdb->get_row($wpdb->prepare("SELECT COUNT(id) AS total FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_children_count'", $linkData['link_id']), ARRAY_A);
                           /*if(get_option("split_children_count_".$linkData['link_id'])==""){
                                 update_option("split_children_count_".$linkData['link_id'],count($array));
                           }else{
                                if(count($array)!=get_option("split_children_count_".$linkData['link_id'])){
                                    update_option("split_children_count_".$linkData['link_id'],count($array));
                                    update_option("split_number_counter_".$linkData['link_id'],0);
                                }
                           } */
                           
                           if(isset($split_children_count['total']) && $split_children_count['total']==0){
                                    $wpdb->insert(Sct_Base::$table['split_count'], array('link_id'=>$linkData['link_id'],'type'=>"split_children_count",'type_value'=>count($array)));
                           }else{
                                $split_children_count =  $wpdb->get_row($wpdb->prepare("SELECT * total FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_children_count'", $linkData['link_id']), ARRAY_A);
                                if(count($array)!=$split_children_count['type_value']){
                                    $wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  type_value ='.count($array).'  WHERE link_id = '.(int)$linkData['link_id']).' and type="split_children_count"';

                                    $check_split_number_counter = $wpdb->get_row($wpdb->prepare("SELECT COUNT(id) AS total FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_number_counter'", $linkData['link_id']), ARRAY_A);
                                    if(isset($check_split_number_counter['total']) && $check_split_number_counter['total']==0){
                                        //$wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  type_value =0  WHERE link_id = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                                        $wpdb->insert(Sct_Base::$table['split_count'], array('link_id'=>$linkData['link_id'],'type'=>"split_number_counter",'type_value'=>0));
                                    }else{
                                        $wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  type_value =0  WHERE link_id = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                                    }
                                }
                           } 
                           /*
                           if(get_option("split_number_counter_".$linkData['link_id'])==""){
                               $number = 0;
                           }else{
                               $number = get_option("split_number_counter_".$linkData['link_id']);
                           } */
                           $split_number_counter = $wpdb->get_row($wpdb->prepare("SELECT * FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_number_counter'", $linkData['link_id']), ARRAY_A);
                           if(!isset($split_children_count['type_value'])){
                                $number = 0;
                           }else{
                                $number = $split_children_count['type_value'];
                           }
                            $number = $number;
                            $getc = $array[$number];
                            if($getc!=""){
                            $gets = explode('-',$getc);
                            $get_count = @$gets[0];
                            $get_link_id = @$gets[1];
                            if($get_link_id!=""){
                                    $d_link = $wpdb->get_row('SELECT link_id, url,link_red, IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check  FROM '.Sct_Base::$table['link'].' WHERE is_archived="0" and link_id = '.$get_link_id.' LIMIT 1', ARRAY_A);
                                    if($d_link['link_red']==0){
                                        $d_link = $d_link;
                                        $wpdb->query("update ".Sct_Base::$table['link']." set link_red=link_red+1 where link_id='$get_link_id'");
                                            //update_option("splitTest_".$linkData['link_id']."_".$get_link_id,0);
                                            $number++;
                                            //update_option("split_number_counter_".$linkData['link_id'],$number);
                                             //$wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  `type_value` ='.$number.'  WHERE `link_id` = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                                             $check_split_number_counter = $wpdb->get_row($wpdb->prepare("SELECT COUNT(id) AS total FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_number_counter'", $linkData['link_id']), ARRAY_A);
                                                if(isset($check_split_number_counter['total']) && $check_split_number_counter['total']==0){
                                                    $wpdb->insert(Sct_Base::$table['split_count'], array('link_id'=>$linkData['link_id'],'type'=>"split_number_counter",'type_value'=>$number));
                                                }else{
                                                    $wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  type_value ='.$number.'  WHERE link_id = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                                                }
                                        if($number>count($array)-1){
                                            //update_option("split_number_counter_".$linkData['link_id'],0);
                                            //$wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  `type_value` =0  WHERE `link_id` = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                                            $check_split_number_counter = $wpdb->get_row($wpdb->prepare("SELECT COUNT(id) AS total FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_number_counter'", $linkData['link_id']), ARRAY_A);
                                                if(isset($check_split_number_counter['total']) && $check_split_number_counter['total']==0){
                                                    $wpdb->insert(Sct_Base::$table['split_count'], array('link_id'=>$linkData['link_id'],'type'=>"split_number_counter",'type_value'=>0));
                                                }else{
                                                    $wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  type_value =0  WHERE link_id = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                                                }
                                        }
                                    }else{
                                        $d_link = Sct_Base::check_Per_Ratio($d_link,$get_link_id,$get_count,$number,$linkData,$array);
                                    }
                                }else{
                                    $d_link = $wpdb->get_row('SELECT link_id, url, IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check FROM '.Sct_Base::$table['link'].' WHERE is_archived="0" and link_id = '.(int)@$link['link_id'].' OR parent_id = '.(int)@$link['link_id'].' ORDER BY RAND() LIMIT 1', ARRAY_A);       
                                }
                           }else{
                             $d_link = $wpdb->get_row('SELECT link_id, url, IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check FROM '.Sct_Base::$table['link'].' WHERE is_archived="0" and link_id = '.(int)@$link['link_id'].' OR parent_id = '.(int)@$link['link_id'].' ORDER BY RAND() LIMIT 1', ARRAY_A);
                           }
                         }else{
                            $d_link = $wpdb->get_row('SELECT link_id, url, IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check FROM '.Sct_Base::$table['link'].' WHERE is_archived="0" and link_id = '.(int)@$link['link_id'].' OR parent_id = '.(int)@$link['link_id'].' ORDER BY RAND() LIMIT 1', ARRAY_A);
                         }
                     }
                     self::assignSplitTestingWinner($link);
                    }else if($link['rotator_type']==2){ // Rotator
                        $json  = @array_reverse(json_decode($linkData['merged_data'],true));
                        if(is_array($json)){
                            $json = @array_reverse($json);
                            $is_loop = 0;
                            foreach($json as $key=>$value){
                                $data = explode('-',$value);
                                $overage = $data[0];//Overage
                                $number_clicks = $data[2]; 
                                $clicks_percnt = $number_clicks/100;
                                $clicks_percnt = $clicks_percnt*$overage;
                                $total_clicks_allowed =$clicks_percnt+$number_clicks;
                                //echo "TOTAL CLICKS: $clicks_percnt+$number_clicks =".$total_clicks_allowed."<br>";
                                $link_id = $data[1];
                                $count_clicks = $wpdb->get_row("select COUNT(link_id) AS link_id from ".Sct_Base::$table['click']." where link_id='$link_id' and parent_id='".$link['link_id']."'",ARRAY_A);
                                //echo "Count :".$count_clicks['link_id']."<br>";
                                if($count_clicks['link_id']==0 || $count_clicks['link_id']<$total_clicks_allowed){
                                    $d_link = $wpdb->get_row('SELECT link_id, url,link_red, IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check  FROM '.Sct_Base::$table['link'].' WHERE is_archived="0" and link_id = '.$link_id.' LIMIT 1', ARRAY_A);
                                    $is_loop = 1;
                                    break;   
                                }
                            }
                        }else{
                            $d_link = $wpdb->get_row('SELECT link_id, url, IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check FROM '.Sct_Base::$table['link'].' WHERE is_archived="0" and link_id = '.(int)@$link['link_id'].' OR parent_id = '.(int)@$link['link_id'].' ORDER BY RAND() LIMIT 1', ARRAY_A);
                         }
                    }
				}else if($link['rotator_type']==3){ // TIMED LINK 
				    //date_default_timezone_set("Australia/sydney");
                    $timed_date = $d_link['timed_date']." ".$d_link['timed_time'];
                    $timed_time = $d_link['timed_time'];
                    //echo "CURRENT SERVER TIME: ".date("Y-m-d H:i");
                    if(date("Y-m-d H:i")>=trim($timed_date)){ // match the date like 2022-10-24 14:15
                            if($d_link['timed_url']!=""){
                                $d_link['url'] = $d_link['timed_url']; 
                            }
                    }
				}
				$source_link_id = 0;
				$src_link_list = $wpdb->get_results('SELECT link_id FROM '.Sct_Base::$table['link'].' WHERE goal_link_id = '.(int)$link['link_id'], ARRAY_A);
				if ($src_link_list)
				{
					foreach ($src_link_list as $src_link)
					{
						if (isset($_COOKIE['sct_link_id_'.$src_link['link_id']]) && (int)$_COOKIE['sct_link_id_'.$src_link['link_id']])
						{
							$source_link_id = (int)$_COOKIE['sct_link_id_'.$src_link['link_id']];
						}
					}
				}
				@setcookie('sct_link_id_'.$link['link_id'], $d_link['link_id'], time() + (60*60*24*30), '/');
				if ($link['javascript'] || $d_link['javascript'])
				{
					if ($link['javascript'] == $d_link['javascript'])
					{
						$javascript = $link['javascript'];
					}
					else
					{
						$javascript = $link['javascript']."\n".$d_link['javascript'];
					}
					echo <<<END
<html>
  <head>
    <title>Redirecting....</title>
    <META http-equiv="refresh" content="2;URL={$d_link['url']}{$q_run}">
END;
    if($link['fb_title']!='' && $link['fb_description']!='' && $link['fb_image']){           
        echo '<meta property="og:title" content="'.stripcslashes($link['fb_title']).'" />';
        echo '<meta property="og:type" content="article" />';
        echo '<meta property="og:image" content="'.$link['fb_image'].'" />';
        echo '<meta property="og:description" content="'.wp_strip_all_tags(stripcslashes($link['fb_description'])).'" />';
    }else{
        /*$fb_title = stripcslashes(get_post_meta(@$get_post['ID'], '_yoast_wpseo_opengraph-title', true ));
        $fb_description = stripcslashes(get_post_meta(@$get_post['ID'], '_yoast_wpseo_opengraph-description', true ));
        $fb_img = get_post_meta(@$get_post['ID'], '_yoast_wpseo_opengraph-image', true );
        if($fb_title!='' && $fb_description!='' && $fb_img!=''){
            echo '<meta property="og:title" content="'.Sct_Base::sct_DBins(@$fb_title).'" />';
               echo '<meta property="og:type" content="article" />';
               echo '<meta property="og:image" content="'.$fb_img.'" />';
               echo '<meta property="og:description" content="'.Sct_Base::sct_DBins(wp_strip_all_tags(@$fb_description)).'" />';
        }else{*/
             /**************************************/
                $mix = array('pdf','ai','doc','docs','bpg','psd','svg','jpeg','zip','png','jpg','gif','mp3','mp4','wmv','avi','mov','flv','m4v','3gp','webm','mkv','ogv','ogg','gifv','amv','svi','swf');
                        $exp = explode('.',$link['url']);
                        $index = $exp[@count($exp)-1];
                        if(!in_array($index,$mix)){
                            $tags = get_meta_tags($link['url']);
                            $html = Sct_Base::file_get_contents_curl($link['url']);
                            $doc = new DOMDocument();
                            @$doc->loadHTML($html);
                            $nodes = $doc->getElementsByTagName('title');
                            $title = $nodes->item(0)->nodeValue;
                            $metas = $doc->getElementsByTagName('meta');
                            for ($i = 0; $i < $metas->length; $i++)
                            {
                                $meta = $metas->item($i);
                                if($meta->getAttribute('property') == 'og:title')
                                    $title = $meta->getAttribute('content');
                                if($meta->getAttribute('property') == 'og:description')
                                    $description = $meta->getAttribute('content');
                                if($meta->getAttribute('property') == 'og:image')
                                    $image = $meta->getAttribute('content');
                            }
                            /*******************
                            *******************/
                       echo '<meta property="og:title" content="'.stripcslashes(@$title).'" />';
                       echo '<meta property="og:type" content="article" />';
                       echo '<meta property="og:image" content="'.$image.'" />';
                       echo '<meta property="og:description" content="'.wp_strip_all_tags(stripcslashes(@$description)).'" />';
            }
       //}
   }
echo <<<END
    {$javascript}
  </head>
  <body style="background-color: #FFF; margin: 0; padding: 50px; text-align: center;">
    <h1 style="font-size: 18px; text-align: center;">One moment please, redirecting in 2 seconds...</h1>
  </body>
</html>
END;
				}
				else
				{
                   if(isset($my_header['User-Agent'])){
                    if(strpos($my_header['User-Agent'],"facebook")!==false){
                       if($link['fb_title']!='' && $link['fb_description']!='' && $link['fb_image']!=""){
                            echo '<meta property="og:title" content="'.stripcslashes($link['fb_title']).'" />';
                            echo '<meta property="og:type" content="article" />';
                            echo '<meta property="og:image" content="'.$link['fb_image'].'" />';
                            echo '<meta property="og:description" content="'.wp_strip_all_tags(stripcslashes($link['fb_description'])).'" />';
                        }else{
                            /* $fb_title = stripcslashes(get_post_meta(@$get_post['ID'], '_yoast_wpseo_opengraph-title', true ));
                            $fb_description = stripcslashes(get_post_meta(@$get_post['ID'], '_yoast_wpseo_opengraph-description', true ));
                            $fb_img = get_post_meta(@$get_post['ID'], '_yoast_wpseo_opengraph-image', true );
                            if($fb_title!='' && $fb_description!='' && $fb_img!=''){
                                echo '<meta property="og:title" content="'.Sct_Base::sct_DBins(@$fb_title).'" />';
                                   echo '<meta property="og:type" content="article" />';
                                   echo '<meta property="og:image" content="'.$fb_img.'" />';
                                   echo '<meta property="og:description" content="'.Sct_Base::sct_DBins(wp_strip_all_tags(@$fb_description)).'" />';
                            }else{ */
                                 /*******************
                                    *******************/
                            $mix = array('pdf','ai','doc','docs','bpg','psd','svg','jpeg','zip','png','jpg','gif','mp3','mp4','wmv','avi','mov','flv','m4v','3gp','webm','mkv','ogv','ogg','gifv','amv','svi','swf');
                            $exp = explode('.',$link['url']);
                            $index = $exp[@count($exp)-1];
                            if(!in_array($index,$mix)){
                                    $tags = get_meta_tags($link['url']);
                                    $html = Sct_Base::file_get_contents_curl($link['url']);
                                    $doc = new DOMDocument();
                                    @$doc->loadHTML($html);
                                    $nodes = $doc->getElementsByTagName('title');
                                    $title = $nodes->item(0)->nodeValue;
                                    $metas = $doc->getElementsByTagName('meta');
                                    for ($i = 0; $i < $metas->length; $i++)
                                    {
                                        $meta = $metas->item($i);
                                        if($meta->getAttribute('property') == 'og:title')
                                            $title = $meta->getAttribute('content');
                                        if($meta->getAttribute('property') == 'og:description')
                                            $description = $meta->getAttribute('content');
                                        if($meta->getAttribute('property') == 'og:image')
                                            $image = $meta->getAttribute('content');
                                    }
                                    /*******************
                                    *******************/
                               echo '<meta property="og:title" content="'.stripcslashes(@$title).'" />';
                               echo '<meta property="og:type" content="article" />';
                               echo '<meta property="og:image" content="'.$image.'" />';
                               echo '<meta property="og:description" content="'.wp_strip_all_tags(stripcslashes(@$description)).'" />';
                            }
                           //}
                   }
                   }else{
                        if($link['fb_title']!='' && $link['fb_description']!='' && $link['fb_image']!=""){
                            echo '<meta property="og:title" content="'.stripcslashes($link['fb_title']).'" />';
                            echo '<meta property="og:type" content="article" />';
                            echo '<meta property="og:image" content="'.$link['fb_image'].'" />';
                            echo '<meta property="og:description" content="'.wp_strip_all_tags(stripcslashes($link['fb_description'])).'" />';
                        }
                   }
                   }
                   if(isset($my_header['User-Agent'])){
                        if(strpos($my_header['User-Agent'],"facebook")===false){
                           header('HTTP/1.1 301 Moved Permanently');
                           header("Location: ".$d_link['url'].$q_run);
                        }
                   }
				}
				flush(); ob_flush(); ob_end_flush();
                if (isset($_SERVER['REMOTE_ADDR'])) {
                    $clientIpAddress = $_SERVER['REMOTE_ADDR'];
                } else {
                    $clientIpAddress = $_SERVER['HTTP_X_FORWARDED_FOR'];
                }
				$click = array(
				'link_id'			=> $d_link['link_id'],
				'parent_id'			=> $link['link_id'],
				'source_link_id'	=> $source_link_id,
				'user_id'			=> $link['user_id'],
				//'ip'				=> $_SERVER['REMOTE_ADDR'],
                'ip'				=> $clientIpAddress,
				'referrer'			=> @$_REQUEST['referer'],
				'agent'				=> $_SERVER['HTTP_USER_AGENT']
				);
				if ((int)$d_link['do_check'])
				{
                    //$wpdb->query('UPDATE '.Sct_Base::$table['link'].' SET `is_dead` = '.Sct_Base::is_404($d_link['url']).', `last_check` = NOW() WHERE `link_id` = '.(int)$d_link['link_id']);
				}
                if(!in_array($path_search,$search_engiones)){
                    if(!in_array($client_ip,$blickIpList)){
                        $wpdb->insert(Sct_Base::$table['click'], $click);
                        $click_id = $wpdb->insert_id;
                        if($click_id!=0){
                            if(is_array($array_query_string) && count($array_query_string)>0){
                                $wpdb->update(self::$table['click'], $array_query_string, array('id' => $click_id));
                            }
                        }
                        $wpdb->query('UPDATE '.Sct_Base::$table['link'].' SET `is_dead` = '.Sct_Base::is_404($d_link['url']).', `last_check` = NOW() WHERE `link_id` = '.(int)$d_link['link_id']);
        				$wpdb->query('UPDATE '.Sct_Base::$table['link'].' SET `total_clicks` = `total_clicks` + 1, `last_click` = NOW(), `unique_clicks` = (SELECT COUNT(DISTINCT `ip`) FROM '.Sct_Base::$table['click'].' WHERE (`link_id` = '.(int)$link['link_id'].' OR `parent_id` = '.(int)$link['link_id'].')) WHERE `link_id` = '.(int)$link['link_id']);
        				$wpdb->query('UPDATE '.Sct_Base::$table['link'].' SET `first_click` = NOW() WHERE `link_id` = '.(int)$link['link_id'].' AND `first_click` = "0000-00-00 00:00:00"');
                    }
                }
				exit();
                die();
			}
            /*if(count($get_post)>0){
            }else{*/
                $dom = Sct_Base::parseURL_domain(site_url());
                if($primary_domain!=$dom){
                    //if($site_link!=site_url()){
                        if ($path !== '/favicon.ico')
            			{
            			     if(!in_array($client_ip,$blickIpList)){
            				    $wpdb->query('REPLACE INTO '.Sct_Base::$table['404_log'].' (`domain_id`, `path`) VALUES ('.$domain['domain_id'].', "'.addslashes($path).'")');
                            }
            			}
                    //}
                }
            //}
			if ($do_404 && $domain['redirect_to_404']){
                echo "<script data-cfasync='false' type='text/javascript'>window.location='".$domain['redirect_to_404']."';</script>";
				exit();
			}
		}
	}
    function file_get_contents_curl($url)
    {
        $ch = curl_init();
        $ua = 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US) AppleWebKit/525.13 (KHTML, like Gecko) Chrome/0.A.B.C Safari/525.13';
        //@curl_setopt($ch, CURLOPT_HEADER, 0);
        @curl_setopt($ch, CURLOPT_HEADER, true);
        @curl_setopt($ch, CURLOPT_RETURNTRANSFER,true);
        @curl_setopt($ch, CURLOPT_USERAGENT, $ua);
        //@curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        @curl_setopt($ch, CURLOPT_URL, $url);
        @curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        $data = curl_exec($ch);
        curl_close($ch);
        return $data;
    }
    function check_Per_Ratio($d_link,$get_link_id,$get_count,$number,$linkData,$array){
        global $wpdb;
        $n = 0;
        $k = 0;
        for($i=0; $i<=count($array); $i++){
            if($i==0){
                $get_link_id = $get_link_id;
            }else{
                $getc = $array[$n];
                $gets = explode('-',$getc);
                $get_count = $gets[0];
                $get_link_id = $gets[1];
            }
            $sum_total = $wpdb->get_row("select count(*) as total from  ".Sct_Base::$table['click']." where  parent_id='".$linkData['link_id']."'",ARRAY_A);
            $sum_link = $wpdb->get_row("select count(*) as link_total from  ".Sct_Base::$table['click']." where link_id='$get_link_id' and parent_id='".$linkData['link_id']."'",ARRAY_A);
            $ratio = ($sum_link['link_total']/$sum_total['total'])*100;
            $ratio = number_format($ratio, 0);
            if($ratio=='nan'){
                $ratio = 0;
            }
            if($ratio<=$get_count){
                $d_link = $wpdb->get_row('SELECT link_id, url, IF(last_check < DATE_SUB(NOW(), INTERVAL 1 DAY), 1, 0) AS do_check FROM '.Sct_Base::$table['link'].' WHERE is_archived="0" and link_id = '.(int)@$get_link_id.' LIMIT 1', ARRAY_A);
                $number++;                
                //update_option("split_number_counter_".$linkData['link_id'],$number);
                 //$wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  `type_value` ='.$number.'  WHERE `link_id` = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                 $check_split_number_counter = $wpdb->get_row($wpdb->prepare("SELECT COUNT(id) AS total FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_number_counter'", $linkData['link_id']), ARRAY_A);
                 if(isset($check_split_number_counter['total']) && $check_split_number_counter['total']==0){
                    $wpdb->insert(Sct_Base::$table['split_count'], array('link_id'=>$linkData['link_id'],'type'=>"split_number_counter",'type_value'=>$number));
                }else{
                    $wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  type_value ='.$number.'  WHERE link_id = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                }
                if($number>count($array)-1){
                    //update_option("split_number_counter_".$linkData['link_id'],0);
                     //$wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  `type_value` =0  WHERE `link_id` = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                     $check_split_number_counter = $wpdb->get_row($wpdb->prepare("SELECT COUNT(id) AS total FROM " . Sct_Base::$table['split_count'] . " WHERE link_id = %d AND type = 'split_number_counter'", $linkData['link_id']), ARRAY_A);
                       if(isset($check_split_number_counter['total']) && $check_split_number_counter['total']==0){
                            $wpdb->insert(Sct_Base::$table['split_count'], array('link_id'=>$linkData['link_id'],'type'=>"split_number_counter",'type_value'=>0));
                        }else{
                            $wpdb->query('UPDATE '.Sct_Base::$table['split_count'].' SET  type_value =0  WHERE link_id = '.(int)$linkData['link_id']).' and type="split_number_counter"';
                        }
                }
                return $d_link;
            }
                if($n==0 && $k==0){
                $n = $number;
                $k= 1;
                }else{
                $n++;
                }
                if($n>count($array)-1){
                    $n=0;
                }   
        }
    }
    function sct_DBins($string){
    	$a = html_entity_decode($string);
    	return trim(htmlspecialchars($a,ENT_QUOTES));
    }
	public static function getUserId()
	{
		if (is_admin())
		{
			//return 0;
            return (int)get_current_user_id();
		}
		return (int)get_current_user_id();
	}
    public static function get_IdByEmail($email){
        global $wpdb;
        $user_db = $wpdb->prefix."users";
        $user_info = $wpdb->get_row("select * from $user_db where user_email='$email'",ARRAY_A);
        if(count($user_info)>0){
            return $user_info['ID'];
        }else{
            return 0;
        }
    }
	public static function getActorUserId()
	{
		if (is_admin())
		{
			return (int)get_current_user_id();
		}
		if (@$_COOKIE['sct_parent_user_id'])
		{
			return (int)$_COOKIE['sct_parent_user_id'];
		}
		return (int)self::getUserId();
	}
	public static function getUserListById($id_list)
	{
		global $wpdb;
		$user_list = array();
        if(count($id_list)>0){
		$t_user_list = $wpdb->get_results('SELECT * FROM `'.$wpdb->base_prefix.'users` WHERE `ID` IN ('.implode(',', $id_list).') ORDER BY user_login', ARRAY_A);
		foreach ($t_user_list as $user)
		{
			$user_list[$user['ID']] = $user['user_login'];
		}
        }
		return $user_list;
	}
    public static function get_UserListById($id_list)
	{
		global $wpdb;
		$user_list = array();
        if(count($id_list)>0){
		  $t_user_list = $wpdb->get_results('SELECT ID,user_login,display_name,user_email FROM `'.$wpdb->base_prefix.'users` WHERE `ID` IN ('.implode(',', $id_list).') ORDER BY user_login', ARRAY_A);
        }
		return $t_user_list;
	}
	public static function getGroupOptionList($none = false)
	{
		global $wpdb;
		$group_option_list = array();
		if ($none)
		{
			$group_option_list[0] = '-- none --';
		}
		$group_list = $wpdb->get_results('SELECT * FROM '.self::$table['group'].' WHERE user_id = "'.addslashes(Sct_Base::getActorUserId()).'" ORDER BY name', ARRAY_A);
		foreach ($group_list as $group)
		{
			$group_option_list[$group['group_id']] = $group['name'];
		}
		return $group_option_list;
	}
    public static function getGroupOptionLists($none = false)
	{
		global $wpdb;
		$group_option_list = array();
		if ($none)
		{
			$group_option_list[0] = '-- none --';
		}
		$group_list = $wpdb->get_results('SELECT * FROM '.self::$table['group'].' ORDER BY name', ARRAY_A);
		foreach ($group_list as $group)
		{
			$group_option_list[$group['group_id']] = $group['name'];
		}
		return $group_option_list;
	}
    public static function getGroupOptionList_user($user_id,$none = false)
	{
		global $wpdb;
		$group_option_list = array();
		if ($none)
		{
			$group_option_list[0] = '-- none --';
		}
		$group_list = $wpdb->get_results('SELECT * FROM '.self::$table['group'].' WHERE user_id = "'.addslashes($user_id).'" ORDER BY name', ARRAY_A);
		foreach ($group_list as $group)
		{
			$group_option_list[$group['group_id']] = $group['name'];
		}
		return $group_option_list;
	}
    public static function getGroupOptionList_users($user_id,$none = false)
	{
		global $wpdb;
		$group_option_list = array();
		if ($none)
		{
			$group_option_list[0] = '-- none --';
		}
		$group_list = $wpdb->get_results('SELECT * FROM '.self::$table['group'].' ORDER BY name', ARRAY_A);
		foreach ($group_list as $group)
		{
			$group_option_list[$group['group_id']] = $group['name'];
		}
		return $group_option_list;
	}
	public static function getDomainOptionList($user_id = 0)
	{
		global $wpdb;
		$domain_option_list = array();
		$domain_list = $wpdb->get_results('SELECT * FROM '.self::$table['domain'].' WHERE user_id = "'.addslashes(Sct_Base::getActorUserId()).'" ORDER BY domain', ARRAY_A);
		foreach ($domain_list as $domain)
		{
			$domain_option_list[$domain['domain_id']] = $domain['domain'];
		}
		return $domain_option_list;
	}
    public static function getDomainOptionListmulti($user_id = 0)
	{
		global $wpdb;
		$domain_option_list = array();
		$domain_list = $wpdb->get_results('SELECT * FROM '.self::$table['domain'].' ORDER BY domain', ARRAY_A);
		foreach ($domain_list as $domain)
		{
			$domain_option_list[$domain['domain_id']] = $domain['domain'];
		}
		return $domain_option_list;
	}
    public static function getDomainOptionListmulti_domain($user_id=0){
        global $wpdb;
		$domain_option_list = array();
		$domain_list = $wpdb->get_results('SELECT * FROM '.self::$table['domain'].' WHERE domain_id IN('.$user_id.') ORDER BY domain', ARRAY_A);
		foreach ($domain_list as $domain)
		{
			$domain_option_list[$domain['domain_id']] = $domain['domain'];
		}
		return $domain_option_list;
    }
	public static function getTypeOptionList()
	{
		$link_juice_list = array(
		'301'	=> 'Send (301)',
		'302'	=> 'Keep (302)'
		);
		return $link_juice_list;
	}
	public static function makeUrl($vars = NULL)
	{
		$this_url = 'http://';
		if (isset($_SERVER['HTTPS']) && strtolower($_SERVER['HTTPS']) == 'on')
		{
			$this_url = 'https://';
		}
		$path_parts = explode('?', $_SERVER['REQUEST_URI']);
		$this_url .= $_SERVER['HTTP_HOST'].$path_parts[0];
		parse_str($_SERVER['QUERY_STRING'], $query);
		$query['app'] = self::$name;
		$anchor = '';
		if (is_array($vars))
		{
			foreach ($vars as $name => $value)
			{
				if ($name == '#')
				{
					$anchor = '#'.$value;
				}
				else
				{
					if (strlen($value))
					{
						$query[$name] = $value;
					}
					else
					{
						unset($query[$name]);
					}
				}
			}
		}
		return $this_url.'?'.http_build_query($query).$anchor;
	}
    public static function is_404($url)
	{
	   $mix = array('pdf','ai','doc','docs','bpg','psd','svg','jpeg','zip','png','jpg','gif','mp3','mp4','wmv','avi','mov','flv','m4v','3gp','webm','mkv','ogv','ogg','gifv','amv','svi','swf');
        $exp = explode('.',$url);
        $index = $exp[count($exp)-1];
        if(!in_array($index,$mix)){
            $handle = curl_init($url);
            curl_setopt($handle,  CURLOPT_RETURNTRANSFER, TRUE);
            /* Get the HTML or whatever is linked in $url. */
            $response = curl_exec($handle);
            /* Check for 404 (file not found). */
            $httpCode = curl_getinfo($handle, CURLINFO_HTTP_CODE);
            if($httpCode == 404) {
                /* Handle 404 here. */
                return 1;
            }else{
                //echo "FINE";
                return 0;
            }
            curl_close($handle);
        }else{
            return 0;
        }
	}
    public static function Sct_urlExists( $url ) {
        $ch = curl_init($url);
        curl_setopt($ch, CURLOPT_HEADER, true);   
        curl_setopt($ch, CURLOPT_NOBODY, true);    
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.4");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
        curl_setopt($ch, CURLOPT_TIMEOUT,0);
        curl_setopt($ch, CURLOPT_ENCODING, "gzip");
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
        $output = curl_exec($ch);
        $httpcode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
        curl_close($ch);
        return $httpcode;
    }
    public static function sct_404_check($url){
        $handle = curl_init($url);
        curl_setopt($handle,  CURLOPT_RETURNTRANSFER, TRUE);
        /* Get the HTML or whatever is linked in $url. */
        $response = curl_exec($handle);
        /* Check for 404 (file not found). */
        $httpCode = curl_getinfo($handle, CURLINFO_HTTP_CODE);
        if($httpCode == 404) {
            /* Handle 404 here. */
            $code = 1;
        }else{
            //echo "FINE";
            $code = 0;
        }
        curl_close($handle);
        return $code;
    }
	public static function isValidLicense($force = FALSE)
	{
		if (stristr(site_url(), 'mynams.com') !== FALSE)
		{
			update_option('rlm_license_status_'.self::$name, 1);
			update_option('rlm_version_'.self::$name, MSL_VERSION);
			update_option('rlm_notification_'.self::$name, '');
			return 1;
		}
		$last_datetime = get_option('rlm_last_license_check_'.self::$name, 0);
		if ($force || $last_datetime < (time() - 86400) || !get_option('rlm_license_status_'.self::$name, ''))
		{
			$package = array(
			'method'		=> 'checkLicense',
			'site_url'		=> site_url(),
			'handle'		=> self::$name,
			'license_key'	=> get_option('rlm_license_key_'.self::$name)
			);
			$response = self::requestApi($package);
			if (is_wp_error($response))
			{
				update_option('rlm_notification_'.self::$name, 'Unable to contact RLM API: '.$response->get_error_message());
			}
			else
			{
				$result = self::decrypt($response['body']);
				update_option('rlm_full_access_'.self::$name, (int)$result['config']['full_access']);
				if (!(int)$result['valid'])
				{
					update_option('rlm_notification_'.self::$name, $result['error_title']);
				}
				else
				{
					update_option('rlm_notification_'.self::$name, '');
				}
				update_option('rlm_license_status_'.self::$name, (int)$result['valid']);
				if (@$result['latest_version'])
				{
					update_option('rlm_version_'.self::$name, $result['latest_version']);
				}
				return $result['valid'];
			}
			update_option('rlm_last_license_check_'.self::$name, time());
		}
		else
		{
			return get_option('rlm_license_status_'.self::$name, 0);
		}
	}
	public static function requestApi($package)
	{
		$args = array(
		'method'		=> 'POST',
		'timeout'		=> 30,
		'redirection'	=> 5,
		'httpversion'	=> '1.0',
		'blocking'		=> true,
		'body'			=> array('data' => self::encrypt($package))
		);
		return wp_remote_post('http://mynams.com/wp-admin/admin-ajax.php?action=rlm_api&rlm_app='.self::$name, $args);
	}
	public static function encrypt($s_data)
	{
		$s_data = serialize($s_data);
		$result = '';
		for ($i = 0; $i < strlen($s_data); $i++)
		{
			$s_char		= substr($s_data, $i, 1);
			$s_key_char	= substr(self::$crypt_key, ($i % strlen(self::$crypt_key)) - 1, 1);
			$s_char		= chr(ord($s_char) + ord($s_key_char));
			$result .= $s_char;
		}
		$result = self::encode_base64($result);
		return $result;
	}
	public static function decrypt($s_data)
	{
		$result = '';
		$s_data   = self::decode_base64($s_data);
		for ($i = 0; $i < strlen($s_data); $i++)
		{
			$s_char		= substr($s_data, $i, 1);
			$s_key_char	= substr(self::$crypt_key, ($i % strlen(self::$crypt_key)) - 1, 1);
			$s_char		= chr(ord($s_char) - ord($s_key_char));
			$result .= $s_char;
		}
		$result = unserialize($result);
		return $result;
	}
    public static function get_user_join_ids(){
        global $wpdb;
        $array = $wpdb->get_row("select * from ".self::$table['user_join']." where child_user_id='".addslashes(Sct_Base::getActorUserId())."'",ARRAY_A);
        return $array;
    }
	public static function encode_base64($s_data)
	{
		$result = strtr(base64_encode($s_data), '+/', '-_');
		return $result;
	}
	public static function decode_base64($s_data)
	{
		$result = base64_decode(strtr($s_data, '-_', '+/'));
		return $result;
	}
	public static function starApiKey($api_key)
	{
		$stars = strlen(trim($api_key)) - 6;
		if ((int)$stars < 0)
		{
			$stars = 0;
		}
		return str_repeat('*', (int)$stars).substr($api_key, -6);
	}
    /**
     * assign winner for Split Testing if required
     * @param array $link
     * @return void
     */
    public static function assignSplitTestingWinner($link)
    {
        //@TODO: Check if this is working properly
        if ($link['automatic_winner'] != 1) {
            return;
        }
        global $wpdb;
        $sql = '
            SELECT
                l.*,
                v.visits,
                COUNT(c.source_link_id) AS clicks
            FROM
                ' . Sct_Base::$table['link'] . ' l
            LEFT JOIN
                (
                    SELECT
                        link_id,
                        COUNT(*) as visits
                    FROM
                        ' . Sct_Base::$table['click'] . '
                    WHERE
                        link_id IN (SELECT link_id FROM ' . Sct_Base::$table['link'] . ' WHERE link_id = ' . $link['link_id'] . ' OR parent_id = ' . $link['link_id'] . ')
                    GROUP BY
                        link_id
                ) AS v ON l.link_id = v.link_id 
            LEFT JOIN
                ' . Sct_Base::$table['click'] . ' c ON l.link_id = c.source_link_id 
            WHERE
                (l.link_id = ' . $link['link_id'] . ' OR l.parent_id = ' . $link['link_id'] . ')
                AND l.is_archived = 0 AND (l.split_test_winner != 1 OR l.split_test_winner IS NULL)
            GROUP BY
                l.link_id
            ORDER BY
                l.parent_id,
                l.link_id
            ';
        $alt_link_list = $wpdb->get_results($sql);
        foreach ($alt_link_list as $alt_link) {
            $alt_link_percentage = number_format(($alt_link->clicks / $alt_link->visits) * 100, 0);
            if ($alt_link->clicks >= $link['automatic_winner_total_clicks'] && $alt_link_percentage >= $link['automatic_winner_percentage']) {
                if ($alt_link->parent_id == 0) {
                    //if the winner is the parent, archive all the child links belonging to it
                    $wpdb->query($wpdb->prepare("UPDATE  " . $wpdb->prefix . "sct_link SET link_ratio = 0 WHERE link_id != %d AND parent_id = %d", $alt_link->link_id, $alt_link->link_id));
                    //set transient to notify the admin
                    set_transient('sct_winner', '<div id="sct_winner_notification">You have a new Split Testing Winner, you can check it out <a href="/wp-admin/admin.php?page=simple_click_tracker&action=link_edit&link_id=' . $alt_link->link_id . '&check_winner=true">here</div>');
                } else {
                    //if the winner is a child, archive all other childs and the parent link
                    $wpdb->query($wpdb->prepare("UPDATE  " . $wpdb->prefix . "sct_link SET link_ratio = 0 WHERE link_id != %d AND ( parent_id = %d OR link_id = %d)", $alt_link->link_id, $alt_link->parent_id, $alt_link->parent_id));
                    //set transient to notify the admin
                    set_transient('sct_winner', '<div id="sct_winner_notification">You have a new Split Testing Winner, you can check it out <a href="/wp-admin/admin.php?page=simple_click_tracker&action=link_edit&link_id=' . $alt_link->parent_id . '&check_winner=true">here</div>');
                }
                //add 100% link ratio to winner link
                $wpdb->query($wpdb->prepare("UPDATE " . $wpdb->prefix . "sct_link SET link_ratio = 100, split_test_winner = 1 WHERE link_id = %d ", [$alt_link->link_id]));
                break;
            }
        }
    }
    /**
     * Reset the winner if the SCT links from a split test are update
     * @param integer $link_id
     */
    public static function resetSplitTestWinner($link_id)
    {
        global $wpdb;
        $wpdb->query($wpdb->prepare("UPDATE " . $wpdb->prefix . "sct_link SET split_test_winner = 0 WHERE (parent_id = %d AND split_test_winner = 1) OR (link_id = %d AND split_test_winner = 1)", $link_id, $link_id));
    }
}
?>