<?php
$form_vars['link_id']		= intval(@self::$form_vars['link_id']);
$form_vars['goal_link_id']	= intval(@self::$form_vars['goal_link_id']);
$form_vars['group_id']		= intval(@self::$form_vars['group_id']);
$form_vars['name']			= sanitize_text_field(trim(@self::$form_vars['name']));
$form_vars['domain_id']		= intval(@self::$form_vars['domain_id']);
$form_vars['path']			= trim(@self::$form_vars['path']);
$form_vars['url']			= trim(@self::$form_vars['url']);
$form_vars['javascript']	= trim(@self::$form_vars['javascript']);
$form_vars['type']			= trim(@self::$form_vars['type']);
$form_vars['fb_title']      = sanitize_text_field(trim($_REQUEST['fb_title']));
$form_vars['fb_description']= sanitize_text_field(trim($_REQUEST['fb_description']));
$form_vars['fb_image']      = trim($_REQUEST['fb_image']);
$form_vars['path'] = trim(trim($form_vars['path']), '/');
$form_vars['path'] = preg_replace('/[^0-9a-zA-Z\_\-\ \/]+/is', '', trim($form_vars['path']));
$form_vars['path'] = str_replace(' ', '-', $form_vars['path']);
$form_vars['description'] = sanitize_text_field(trim(@self::$form_vars['description']));
/**SCT WINNER***/
$form_vars['automatic_winner'] = sanitize_text_field(self::$form_vars['automatic_winner']);
$form_vars['automatic_winner_total_clicks'] = sanitize_text_field(self::$form_vars['automatic_winner_total_clicks']);
$form_vars['automatic_winner_percentage'] = sanitize_text_field(self::$form_vars['automatic_winner_percentage']);
/**SCT WINNER***/
/**TIMED LINK**/
$form_vars['timed_url'] = sanitize_text_field(trim($_REQUEST['timed_url']));
$form_vars['timed_date'] = sanitize_text_field(trim($_REQUEST['timed_date']));
$form_vars['timed_time'] = sanitize_text_field(trim($_REQUEST['timed_time']));

if(isset($_REQUEST['rotator_type'])){
    $form_vars['rotator_type'] = sanitize_text_field(@$_REQUEST['rotator_type']);
}else{
    $form_vars['rotator_type'] = 0;
}
if(!isset($_REQUEST['query_string'])){
    $form_vars['query_string'] = 1;
    if(isset($_REQUEST['utm'])){
        $form_vars['utm_fields'] = json_encode($_REQUEST['utm']);
    }
}else{
    $form_vars['query_string'] = trim(sanitize_text_field($_REQUEST['query_string']));
    if(isset($_REQUEST['utm'])){
        $form_vars['utm_fields'] = json_encode($_REQUEST['utm']);
    }
}
if(isset($_REQUEST['utm_in'])){
    $form_vars['utm_in'] = 1;
}else{
    $form_vars['utm_in'] = 0;
}
$handle = @fopen($form_vars['url'],'r');
$er = 0;
$mix = array('pdf','ai','doc','docs','bpg','psd','svg','jpeg','zip','png','jpg','gif','mp3','mp4','wmv','avi','mov','flv','m4v','3gp','webm','mkv','ogv','ogg','gifv','amv','svi','swf');
$exp = explode('.',$form_vars['url']);
$index = $exp[count($exp)-1];
//if(!in_array(@$parse['host'],$parse_dom)){
    if(!in_array($index,$mix)){
        $handle = curl_init($form_vars['url']);
        curl_setopt($handle,  CURLOPT_RETURNTRANSFER, TRUE);
        /* Get the HTML or whatever is linked in $url. */
        $response = curl_exec($handle);
        /* Check for 404 (file not found). */
        $httpCode = curl_getinfo($handle, CURLINFO_HTTP_CODE);
        if($httpCode == 404) {
            /* Handle 404 here. */
            $er = 1;
        }else{
            //echo "FINE";
            $er = 0;
        }
        curl_close($handle);
    }
//}
if (!$form_vars['name'])
{
	self::$errors['name'] = 'Name is required';
}
if (!$form_vars['path'])
{
	self::$errors['path'] = 'Path is required';
}
if (!$form_vars['path'])
{
	self::$errors['path'] = 'Path is required';
}
elseif (strtolower($form_vars['path']) == 'sct')
{
	self::$errors['path'] = 'Path cannot be "sct". This is reserved.';
}
else
{
	//	$form_vars['path'] = '/'.$form_vars['path'];
	$o_link_id = (int)$wpdb->get_var('SELECT * FROM '.self::$table['link'].' WHERE link_id != '.(int)$form_vars['link_id'].' AND domain_id = '.(int)$form_vars['domain_id'].' AND (path = "'.addslashes($form_vars['path']).'" OR path = "/'.addslashes($form_vars['path']).'")');
	if ($o_link_id)
	{
		self::$errors['name'] = 'Path is already in use';
	}
}
if($er==1){
    self::$errors['name'] = 'Please Enter a valid Destination URL.';
}
if (!$form_vars['url'])
{
	self::$errors['url'] = 'To URL is required';
}
else if (parse_url($form_vars['url']) === false)
{
	self::$errors['url'] = 'Invalid or incomplete';
}
/*if($form_vars['fb_title']=="" || $form_vars['fb_description']=="" || $form_vars['fb_image']==""){
    self::$errors['meta'] = 'Meta Data For Social Media( Title,Description & Image ) is required.';
} */

if(isset($form_vars['rotator_type']) && $form_vars['rotator_type']==1){
    $rotator_url_exist = $wpdb->get_row('SELECT * FROM '.self::$table['link'].' WHERE url = "'.addslashes($form_vars['url']).'" AND rotator_type =1', ARRAY_A);
    if(!empty($rotator_url_exist)){
        if($rotator_url_exist['link_id']!=$form_vars['link_id']){
            self::$errors['sp_link'] = 'Destination URL ('.$form_vars['url'].') already exist another Split Test ('.$rotator_url_exist['name'].')';
        }
    }
     if($form_vars['goal_link_id']=="" || $form_vars['goal_link_id']==0){
        self::$errors['goal_link'] = 'Split Test Goal Link Is Required.';    
    }
}
if (!self::$errors)
{
    update_option("sct_last_domain_ID",$form_vars['domain_id']);
	if ($form_vars['link_id'])
	{
		//		$form_vars['modified'] = time();
        $form_vars['is_dead'] = 0;
		$wpdb->update(self::$table['link'], $form_vars, array('link_id' => $form_vars['link_id']));
	}
	else
	{
	   $form_vars['is_dead'] = 0;
		$form_vars['user_id']	= Sct_Base::getActorUserId();
		$wpdb->insert(self::$table['link'], $form_vars);
		$form_vars['link_id'] = $wpdb->insert_id;
		$sql = '
		SELECT
			COUNT(*)
		FROM
			'.self::$table['link'].'
		WHERE
			user_id = "'.addslashes(Sct_Base::getActorUserId()).'"';
		$link_count = $wpdb->get_var($sql);
		if ($link_count == 1)
		{
			$domain = $wpdb->get_row('SELECT * FROM '.self::$table['domain'].' WHERE domain_id = '.(int)$form_vars['domain_id'].' and domain!="'.addslashes($_SERVER['HTTP_HOST']).'" AND user_id = "'.addslashes(Sct_Base::getActorUserId()).'"', ARRAY_A);
            if(isset($domain['domain']) && $domain['domain']!=''){
    			$response = wp_remote_get('http://'.$domain['domain'].'/sct/ping');
    			if (Sct_Base::$is_full_access && (is_wp_error($response) || !(int)$response['body']))
    			{
    				header('location: '.$base_url.'action=ftp_install&domain_id='.(int)$domain['domain_id']);
    				exit();
    			}
            }
		}
	}
	$child_link_id_list = array();
    $arra_json = array();
    $sum_percent = 0;
    $tot = 100;
    if(isset($_REQUEST['rotator_type']) && $_REQUEST['rotator_type']!=0){
    	foreach (self::$form_vars['alt_url'] as $key=>$value)
    	{
    		$value = trim($value);
            $trafic_percent = @self::$form_vars['link_ratio'][$key];
            $link_clicks = @self::$form_vars['link_clicks'][$key];
            $trafic_percent = str_replace('%','',$trafic_percent);
            $tot = ($tot-$trafic_percent);
    		if ($value && parse_url($value) !== false)
    		{
    		      $rid = @self::$form_vars['funnel_link_id'][$key];
                  if(isset($rid) && $rid!=''){
        				$link = array(
        				'user_id'	=> Sct_Base::getActorUserId(),
        				'parent_id'	=> $form_vars['link_id'],
        				'url'		=> $value,
                        'link_ratio'=>$trafic_percent,
                        'link_clicks'=>$link_clicks
        				);
                        $wpdb->update(self::$table['link'],$link, array("link_id"=>$rid));
                        $link['link_id'] = $rid;
                  }else{
                    $links = $wpdb->get_row('SELECT * FROM '.Sct_Base::$table['link'].' WHERE url = "'.addslashes($value).'" AND parent_id = '.(int)$form_vars['link_id'], ARRAY_A);
                    if (!$links['link_id'])
        			{
                        //$trafic_percent = @self::$form_vars['link_ratio'][$key];
                        //$trafic_percent = str_replace('%','',$trafic_percent);
        				$link = array(
        				'user_id'	=> Sct_Base::getActorUserId(),
        				'parent_id'	=> $form_vars['link_id'],
        				'url'		=> $value,
                        'link_ratio'=>$trafic_percent,
                        'link_clicks'=>$link_clicks
        				);
        				$wpdb->insert(self::$table['link'], $link);
        				$link['link_id'] = $wpdb->insert_id;
                    }
                  }
    			$child_link_id_list[$link['link_id']] = $link['link_id'];
                $arra_json[] = (int)$trafic_percent."-".$link['link_id']."-".$link_clicks;
                $sum_percent= $sum_percent+$trafic_percent;
    		}
    	}
        if($form_vars['rotator_type']==1){
            if($sum_percent<=100){
                $diff = (100-$sum_percent);
                if($diff!=0){
                    $arra_json[] = (int)$diff."-".$form_vars['link_id'];
                }
            }
        }
    }
	if (!empty($child_link_id_list))
	{
		$delete_list = $wpdb->get_results('SELECT link_id FROM '.Sct_Base::$table['link'].' WHERE parent_id = '.(int)$form_vars['link_id'].' AND link_id NOT IN ('.implode(',', $child_link_id_list).')', ARRAY_A);
		foreach ($delete_list as $delete)
		{
			$wpdb->query('DELETE FROM '.Sct_Base::$table['link'].' WHERE link_id = '.(int)$delete['link_id'].' AND user_id = '.Sct_Base::getActorUserId());
			$wpdb->query('DELETE FROM '.Sct_Base::$table['click'].' WHERE link_id = '.(int)$delete['link_id'].' AND user_id = '.Sct_Base::getActorUserId());
		}
	}
    if($form_vars['rotator_type']!=3){
    	$c_count = (int)$wpdb->get_var('SELECT COUNT(*) FROM '.self::$table['link'].' WHERE parent_id = '.(int)$form_vars['link_id']);
    	if ($c_count)
    	{
    	   //echo 'UPDATE '.self::$table['link'].' SET merged_data="'.json_encode($arra_json).'", has_children = 1 WHERE link_id = '.(int)$form_vars['link_id'];
    		$wpdb->query("UPDATE ".self::$table['link']." SET merged_data='".json_encode($arra_json)."', has_children = 1 WHERE link_id = ".(int)$form_vars['link_id']);
    		if($form_vars['rotator_type']==1){
                $back_url = $base_url.'app='.self::$name.'&action=split_test_grid';
            }else if($form_vars['rotator_type']==2){
                $back_url = $base_url.'app='.self::$name.'&action=rotator_grid';
            }
    	}
    	else
    	{
    		//$wpdb->query('UPDATE '.self::$table['link'].' SET has_children = 0 WHERE link_id = '.(int)$form_vars['link_id']);
            $wpdb->query('UPDATE '.self::$table['link'].' SET rotator_type = 0 , has_children = 0 WHERE link_id = '.(int)$form_vars['link_id']);
    		$back_url = $base_url.'action=link_edit&link_id='.$form_vars['link_id'].'&saved=1';
    	}
    }else{
        //$wpdb->query('UPDATE '.self::$table['link'].' SET has_children = 0 WHERE link_id = '.(int)$form_vars['link_id']);
            $wpdb->query('UPDATE '.self::$table['link'].' SET rotator_type = "'.$form_vars['rotator_type'].'" , has_children = 0 WHERE link_id = '.(int)$form_vars['link_id']);
    		$back_url = $base_url.'action=link_edit&link_id='.$form_vars['link_id'].'&saved=1';
    }
    $save_new_url = $base_url.'action=link_edit';
    if (@$_REQUEST['save'] == 'Save')
	{
	   header('location: '.$back_url);   
	}else if(@$_REQUEST['save']=="Save & New"){
	   header('location: '.$save_new_url);
	}else{
	   header('Location: '.$base_url);
	}
	exit();
}
self::$action = 'link_edit';