<?php
$sql_bydomain = Sct_Base::get_user_join_ids();
if(is_array($sql_bydomain) && @count($sql_bydomain)>0){
    $assigned_domains = implode(',',json_decode($sql_bydomain['assigned_domain']));
    $user_type = $sql_bydomain['user_type'];
}else{
    $user_type = 2;
} 
$nav_item_list['index'] = array(
'title'	=> 'Links',
'url'	=> $base_url
);
if (Sct_Base::$is_full_access)
{
	$nav_item_list['domain_grid'] = array(
	'title'	=> 'Domains',
	'url'	=> $base_url.'action=domain_grid'
	);
}
$nav_item_list['group_grid'] = array(
'title'	=> 'Groups',
'url'	=> $base_url.'action=group_grid'
);
$nav_item_list['split_test_grid'] = array(
'title'	=> 'Split Tests',
'url'	=> $base_url.'action=split_test_grid'
);
$nav_item_list['rotator_grid'] = array(
'title'	=> 'Rotator',
'url'	=> $base_url.'action=rotator_grid'
);
$nav_item_list['funnel_grid'] = array(
'title'	=> 'Funnels',
'url'	=> $base_url.'action=funnel_grid'
);
$nav_item_list['report_summary'] = array(
'title'	=> 'Stats',
'url'	=> $base_url.'action=report_summary'
);
$nav_item_list['report_bad_links'] = array(
'title'	=> '404 Report',
'url'	=> $base_url.'action=report_bad_links'
);
if($user_type==2){
  $nav_item_list['user_grid'] = array(
	'title'	=> 'Users',
	'url'	=> $base_url.'action=user_grid'
	);
}
if (is_admin())
{
	$nav_item_list['settings'] = array(
	'title'	=> 'Settings',
	'url'	=> $base_url.'action=settings'
	);
}
$nav_item_list['block_ips'] = array(
'title'	=> "Manage IPs",
'url'	=> $base_url.'action=block_ips'
);
if (Sct_Base::$is_full_access)
{
	$nav_item_list['help'] = array(
	'title'	=> 'Help',
	//'url'	=> $base_url.'action=help'
    'url'	=> 'http://nams.ws/help'
	);
    $nav_item_list['import'] = array(
	'title'	=> 'Import',
	//'url'	=> $base_url.'action=help'
    'url'	=> $base_url.'action=import_sct'
	);
    $nav_item_list['export_sct'] = array(
	'title'	=> 'Export',
	//'url'	=> $base_url.'action=help'
    'url'	=> $base_url.'action=export_csv'
	);
    $nav_item_list['import_pretty_links'] = array(
	'title'	=> 'Import From Pretty Links',
	//'url'	=> $base_url.'action=help'
    'url'	=> $base_url.'action=import_pretty_links'
	);
}
echo '<div class="sct_nav_list">';
echo '<ul>';
foreach ($nav_item_list as $action => $nav_item)
{
	$selected = '';
	if (self::$action == $action)
	{
		$selected = ' class="selected"';
	}
    if($nav_item['title']=="Help"){
        $t = "target='_blank'";
    }else{
        $t = "";
    }
	echo '<li'.$selected.'><a href="'.$nav_item['url'].'"  '.$t.'>'.$nav_item['title'].'</a></li>';
}
echo '</ul>';
echo '<div style="clear: both; margin: 0; padding: 0;"></div>';
echo '</div>';