<?php
$sql_bydomain = Sct_Base::get_user_join_ids();
if(is_array($sql_bydomain) && @count($sql_bydomain)>0){
    $assigned_domains = implode(',',json_decode($sql_bydomain['assigned_domain']));
    $us = $wpdb->get_results("select user_id from  ".self::$table['domain']." where domain_id IN($assigned_domains)",ARRAY_A);
    $arv = array();
    foreach($us as $u){
        $arv[] = $u['user_id'];
    }
    $assigned_user = implode(',',$arv).','.Sct_Base::getActorUserId();
    $user_type = $sql_bydomain['user_type'];
}else{
    $user_type = 2;
    $assigned_user = Sct_Base::getActorUserId();
}

if($user_type==2){
    $domain_grid = $wpdb->get_results('SELECT * FROM '.self::$table['domain'].' ORDER BY domain', ARRAY_A);
}else{
    $domain_grid = $wpdb->get_results('SELECT * FROM '.self::$table['domain'].' WHERE user_id = "'.addslashes(Sct_Base::getActorUserId()).'" ORDER BY domain', ARRAY_A);
}
$num_domains = count($domain_grid);

if ((int)@$_REQUEST['domain_id'] && !self::$form_vars)
{
    if($user_type==2){
	   self::$form_vars = $wpdb->get_row('SELECT * FROM '.self::$table['domain'].' WHERE domain_id = '.(int)$_REQUEST['domain_id'].' ', ARRAY_A);
    }else{
        self::$form_vars = $wpdb->get_row('SELECT * FROM '.self::$table['domain'].' WHERE domain_id = '.(int)$_REQUEST['domain_id'].' AND user_id = "'.addslashes(Sct_Base::getActorUserId()).'"', ARRAY_A);
    }
}
else
{
	self::$form_vars['active'] = 1;
}

$install_url	= $base_url.'app='.self::$name.'&action=ftp_install&domain_id='.(int)@self::$form_vars['domain_id'];

$save_url	= $base_url.'app='.self::$name.'&action=domain_save&domain_id='.(int)@self::$form_vars['domain_id'];
$delete_url	= $base_url.'app='.self::$name.'&action=domain_delete&domain_id='.(int)@self::$form_vars['domain_id'];
$cancel_url	= $base_url.'action=domain_grid';

?>
<script type="text/javascript">
function deleteRecord()
{
	if (window.confirm('Are you sure you want to delete this domain?') == true)
	{
		window.location.href = '<?php echo $delete_url ?>';
	}
}

function install()
{
	window.location.href = '<?php echo $install_url ?>';
}
</script>

<form action="<?php echo $save_url ?>" method="POST" enctype="multipart/form-data" >
<input type="hidden" name="form_vars[domain_id]" value="<?php echo intval(self::$form_vars['domain_id']) ?>" />

<h2><?php if ((int)@self::$form_vars['domain_id']){ ?>Edit Domain<?php } elseif (!$num_domains) { ?>Getting Started / Installation<?php } else { ?>New Domain<?php }?></h2>

<div style="clear: both;"></div>

<?php

Sct_Form::fadeSave();

Sct_Form::startTable();

Sct_Form::listErrors(self::$errors);

//if (!$num_domains)
//{
//	$sct_base_url = SCT_BASE_URL;
//
//	$instructions =<<<END
//
//<p>
//1. Download zip by <a href="{$sct_base_url}simple_click_tracker.zip">clicking here</a>
//</p>
//
//<p>
//2. Unzip the zip file ("simple_click_tracker.zip") into your public_html folder
//</p>
//
//<p>
//3. Point your browser at http://www.yourdomain.com/sct/install.php
//</p>
//
//<p>
//4. Then, add your first domain name below
//</p>
//
//<p>
//5. Finally, you're ready to start adding redirect links!
//</p>
//END;
//
//	Sct_Form::clearRow($instructions);
//}

$label = 'Domain Name';
if (!$num_domains)
{
	$label = 'First Domain Name';
}

Sct_Form::text($label, 'form_vars[domain]', @self::$form_vars['domain']);

Sct_Form::text('URL to 404 Page', 'form_vars[redirect_to_404]', @self::$form_vars['redirect_to_404'], null, 'Must contain the http:// (or https://www). The web page where visitors are sent if they click a nonexistent redirection URL.');

Sct_Form::checkbox('Status Active', 'form_vars[active]', @self::$form_vars['active']);

Sct_Form::endTable();

?>
	<div class="sct_button_bar">
		<input type="submit" class="sct_button" value="Save" id="save_button" />
		<?php if (isset(self::$form_vars['domain_id']) && intval(self::$form_vars['domain_id'])){ ?>
		<input type="button" class="sct_button" value="Delete" onclick="deleteRecord();" />
		<?php } ?>
		<?php if ($num_domains){ ?>
		<input type="button" class="sct_button" value="Back to List" onclick="window.location.href='<?php echo $cancel_url ?>'" />
		<?php } ?>
	</div>
</form>
<script>
jQuery(document).ready(function(){
    jQuery("#form_vars_redirect_to_404").blur(function(){
    var str = jQuery('#form_vars_redirect_to_404').val();
    if(str!=""){
      if (str != null && str.length > 0 && str.charAt(str.length-1)=='/') {
          str = str.substring(0, str.length-1);
          jQuery('#form_vars_redirect_to_404').val(str+"/");
        }else{
          jQuery('#form_vars_redirect_to_404').val(str+"/");  
        }
      }
        
});
});
</script>
