<?php
ini_set('max_execution_time', 0);
$sql_bydomain = Sct_Base::get_user_join_ids();
if(is_array($sql_bydomain) && @count($sql_bydomain)>0){
    $assigned_domains = implode(',',json_decode($sql_bydomain['assigned_domain']));
    $us = $wpdb->get_results("select user_id from  ".self::$table['domain']." where domain_id IN($assigned_domains)",ARRAY_A);
    $arv = array();
    foreach($us as $u){
        $arv[] = $u['user_id'];
    }
    $assigned_user = implode(',',$arv).','.Sct_Base::getActorUserId();
    $user_type = $sql_bydomain['user_type'];
}else{
    $user_type = 2;
    $assigned_user = Sct_Base::getActorUserId();
}

if($user_type==2){
    $domain_grid = $wpdb->get_results('SELECT * FROM '.self::$table['domain'].' ORDER BY domain', ARRAY_A);
}else{
    $domain_grid = $wpdb->get_results('SELECT * FROM '.self::$table['domain'].' WHERE user_id = "'.addslashes(Sct_Base::getActorUserId()).'" ORDER BY domain', ARRAY_A);
}
$num_domains = count($domain_grid);

if(isset($_POST['cmd']) && $_POST['cmd']=="importlist"){
     $name = $_FILES['csv']['name'];
     $tmp  = $_FILES['csv']['tmp_name'];
     $domain_id = $_POST['domain_id'];
     $group_name = $_POST['group'];
     
     $link_id = 0;
     $user_id = Sct_Base::getActorUserId();
     $ext = strtolower(pathinfo($name, PATHINFO_EXTENSION));
     if($ext=='csv'){
        if($group_name!=""){
                $wpdb->insert(self::$table['group'],array('name'=>$group_name));
                $group_id = $wpdb->insert_id;
         }else{
                $group_id = 0;
         }
            $file = dirname(__FILE__).'/'.md5(uniqid()).'.'.$ext;
            move_uploaded_file($tmp,$file);
            $handle = fopen($file, "r");
             $i=0;
             while (($cs_rec = fgetcsv($handle, 1000, ",")) !== FALSE) {
                $data = stripslashes_deep($cs_rec);
                if($i>0){
                    $title = $data[0]; // link title
                    $path = $data[1]; // path
                    $url = $data[2]; // redirect URL
                    $title = sanitize_text_field(trim($title));;
                    $path = trim(trim($path), '/');
                    $path = preg_replace('/[^0-9a-zA-Z\_\-\ \/]+/is', '', trim($path));
                    $path = str_replace(' ', '-',$path);
                    $o_link_id = (int)$wpdb->get_var('SELECT * FROM '.self::$table['link'].' WHERE link_id != "0" AND domain_id = '.$domain_id.' AND (path = "'.addslashes($path).'" OR path = "/'.addslashes($path).'")');
                	if(!$o_link_id)
                	{
                	   $in_arr = array('user_id'=>$user_id,'group_id'=>$group_id,'domain_id'=>$domain_id,'name'=>$title,'path'=>$path,'url'=>$url);
                       $wpdb->insert(self::$table['link'],$in_arr);
                	   	
                	}
                }
                $i++;
             }
             @unlink($file);
            echo "<div class='updated fade'><p>Links imported successfully.</p></div>";
     }else{
        echo "<div class='error'><p>Please upload only .csv file</p></div>";
     }
}

$save_url	= $base_url.'app='.self::$name.'&action=imp_links_save';


?>
    <a href="<?php echo SCT_IMPORTSAMPLE_URL; ?>"><input style="float: right ; margin-right: 3%;" type="button" class="button-primary" value="Download CSV Sample" /></a>
<form action="" method="POST" enctype="multipart/form-data" >

<h2>Import Links</h2>
<div style="clear: both;"></div>

<?php

Sct_Form::fadeSave();

Sct_Form::startTable();

Sct_Form::listErrors(self::$errors);
?>
<tr>
    <th align="top" style="width: 160px;">Select Domain</th>
    <td>
        <select class="domain_id" name="domain_id">
            <?php
                foreach($domain_grid as $k=>$v){
                    echo "<option value='$v[domain_id]'>$v[domain]</option>";
                }
            ?>
        </select>
    </td>
</tr>
<tr>
    <th align="top" style="width: 160px;">Group Name</th>
    <td>
        <input type="text" name="group"  />
    </td>
</tr>
<tr>
    <th align="top" style="width: 160px;">Upload CSV File</th>
    <td>
        <input type="file" name="csv"  />
        <br />
        <span>Dupliate Path will automatically skip. </span>
    </td>
</tr>
<?php

Sct_Form::endTable();

?>
	<div class="sct_button_bar">
		<input type="submit" class="sct_button" value="Import Links" id="save_button" />
        <input type="hidden" name="cmd" value="importlist" />
		<a style="text-decoration: none;" href="<?php echo $base_url; ?>"><input type="button" value="Cancel" class="sct_button"  /></a>
	</div>
</form>