<?php
if (is_admin())  
{
	// Do admin stuff
	function Sct_loadPlugin()
	{
		if (isset($_REQUEST['page']) && $_REQUEST['page'] == 'simple_click_tracker')
		{
			include_once SCT_APP_PATH.'/Sct_Admin.php';
			Sct_Admin::init();
			//Sct_Admin::upgradePlugin();
		}
	}
	function Sct_displayView()
	{
	   include_once SCT_APP_PATH.'/Sct_Admin.php';
        $get_key = get_option("rlm_license_key_simple_click_tracker");
        if($get_key!=""){
          	// check if current version its higher to run sct_valid_domain (this will fire upgrade_versions and include missing columns to the tables)
			$sct_current_version = get_option('sct_current_version');
			if ($sct_current_version === false || $sct_current_version < SCT_VERSION) {
			     sct_valid_domain();
                 update_option("sct_current_version", SCT_VERSION);
			}
            $getstatus = get_option("sct_license_check_date");
            if($getstatus==""){
                $dat = date('Y-m-d',strtotime("+ 1 month"));
                update_option("sct_license_check_date",$dat);
                update_option("sctLicenseSt",1);
            }
             $toDate = date('Y-m-d');
            $getstatus = get_option("sct_license_check_date");
            $option = get_option("sctLicenseSt");
            if($getstatus<$toDate){
                $toDate = $getstatus;
            }
            if($toDate==$getstatus || $option==1){
                if($toDate==$getstatus){
                    $dat = date('Y-m-d',strtotime("+ 1 month"));
                    update_option("sct_license_check_date",$dat);
                }
                Sct_Admin::checkValidLicense_key($get_key);    
            }
		    Sct_Admin::displayView();
        }else{
            Sct_Admin::ValidInstaLicense();
        }
	}
	function Sct_addAdminMenu()
	{
		add_menu_page('Simple Click Tracker', 'Simple Click Tracker', 'administrator', 'simple_click_tracker', 'Sct_displayView', 'dashicons-admin-links');
	}
	function Sct_activatePlugin()
	{
		include_once SCT_APP_PATH.'/Sct_Admin.php';
		Sct_Admin::init();
		Sct_Admin::upgradePlugin();
	}
    function sct_valid_domain(){
		include_once SCT_APP_PATH.'/Sct_Admin.php';
		Sct_Admin::init();
		Sct_Admin::upgrade_versions();
    }
	function Sct_enqueueScript()
	{
	   global $wp_styles;
        $srcs = array_map('basename', (array) wp_list_pluck($wp_styles->registered, 'src') );
	   $get_ver = get_option('rlm_version_simple_click_tracker');
       if($get_ver!=SCT_VERSION){
            update_option('rlm_version_simple_click_tracker',SCT_VERSION);
        }
		wp_enqueue_script('jquery');
		wp_enqueue_script('jquery-form');
		wp_enqueue_script('jquery-ui-core', null, array('jquery'));
		wp_enqueue_script('jquery-ui-widget', null, array('jquery-ui-core'));
		wp_enqueue_script('jquery-ui-position', null, array('jquery-ui-core'));
		wp_enqueue_script('jquery-ui-autocomplete', null, array('jquery-ui-widget', 'jquery-ui-position'));
        wp_enqueue_script( 'jquery-ui-datepicker' );
        // You need styling for the datepicker. For simplicity I've linked to the jQuery UI CSS on a CDN.
        if (!in_array('jquery-ui.css', $srcs)) {
            $domains_jquery_have = array("https://ourrossmoor.com","https://losalrotary.org");
            if(!in_array(trim(site_url()),$domains_jquery_have)){
                wp_register_style( 'jquery-ui-css', 'https://code.jquery.com/ui/1.12.1/themes/smoothness/jquery-ui.css' );
                wp_enqueue_style( 'jquery-ui-css' );    
            }
        }
	}
	function Sct_admin_notice()
	{
		$notice = get_option('sct_notification');
		if ($notice)
		{
			echo '<div class="updated"><p>'.$notice.'</p></div>';
		}
	}
	add_action('admin_notices', 'Sct_admin_notice');
	add_action('admin_init', 'Sct_enqueueScript');
	add_action('wp_loaded', 'Sct_loadPlugin', 1);
	add_action('admin_menu', 'Sct_addAdminMenu');
	register_activation_hook(__FILE__, 'Sct_activatePlugin' );
}
else
{
	// Do public stuff
	if (isset($_REQUEST['app']) && $_REQUEST['app'] == 'simple_click_tracker')
	{
		add_action('wp', 'Sct_doAction');
	}
	function Sct_doAction()
	{
		if (!class_exists('Sct_Public'))
		{
			include_once SCT_APP_PATH.'/Sct_Public.php';
			Sct_Public::init();
		}
		Sct_Public::doAction();
	}
	function Sct_handleShortcode($attribs)
	{
		if (!class_exists('Sct_Public'))
		{
			include_once SCT_APP_PATH.'/Sct_Public.php';
			Sct_Public::init();
		}
		return Sct_Public::doView($attribs);
	}
	add_shortcode('simple_click_tracker', 'Sct_handleShortcode');
	function Sct_enqueueScripts()
	{
		wp_enqueue_script('jquery');
		wp_enqueue_script('jquery-ui-core', null, array('jquery'));
		wp_enqueue_script('jquery-ui-widget', null, array('jquery-ui-core'));
		wp_enqueue_script('jquery-ui-position', null, array('jquery-ui-core'));
		wp_enqueue_script('jquery-ui-autocomplete', null, array('jquery-ui-widget', 'jquery-ui-position'));
		wp_register_style('jquery-ui', 'https://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css');
		wp_enqueue_style('jquery-ui');
		wp_register_script('jquery-fixedheader', plugins_url('includes/fixedheader/jquery.fixedheadertable.min.js' , __FILE__), array('jquery'), '1.3');
		wp_enqueue_script('jquery-fixedheader');
		wp_register_script('jquery-tablesorter', plugins_url('includes/tablesorter/jquery.tablesorter.min.js' , __FILE__), array('jquery'), '2.0.5b');
		wp_enqueue_script('jquery-tablesorter');
		wp_register_style('jquery-tablesorter-css', plugins_url('includes/fixedheader/css/defaultTheme.css' , __FILE__), NULL, '1.3');
		wp_enqueue_style('jquery-tablesorter-css');
		wp_register_style('jquery-tablesorter-css', plugins_url('includes/tablesorter/themes/blue/style.css' , __FILE__), NULL, '2.0.5b');
		wp_enqueue_style('jquery-tablesorter-css');
	}
	add_action('wp_enqueue_scripts', 'Sct_enqueueScripts');
	function Sct_addToHead()
	{
		echo '
<link rel="stylesheet" href="'.plugins_url('includes/style_public.css', __FILE__).'" type="text/css" media="all" />
<script src="'.SCT_BASE_URL.'/includes/sct_public.js"></script>
<script type="text/javascript">
var sct_ajax_url = "'.SCT_AJAX_URL.'";
var sct_plugin_url = "'.SCT_BASE_URL.'";
</script>
		';
	}
	add_action('wp_head', 'Sct_addToHead');
	function Sct_Plugins_Loaded()
	{
		include_once SCT_APP_PATH.'/Sct_Public.php';
		Sct_Public::init();
        $query = @$_SERVER['QUERY_STRING'];
		Sct_Base::handleRedirect($_SERVER['HTTP_HOST'], @$_SERVER['REQUEST_URI'], $query ,false);
	}
	add_action('plugins_loaded', 'Sct_Plugins_Loaded');
}
function SCT_load_wp_media_files() {
      wp_enqueue_media();
    }
    add_action( 'admin_enqueue_scripts', 'SCT_load_wp_media_files' );
function Sct_Ajax()
{
	require_once SCT_APP_PATH.'/Sct_Ajax.php';
	Sct_Ajax::init();
	Sct_Ajax::doAction();
}
function sct_ajax_controling(){
    global $wpdb;
    include_once('app/ajax.php');
    die();
}
add_action('wp_ajax_sct', 'Sct_Ajax');
add_action('wp_ajax_nopriv_sct', 'Sct_Ajax');
add_action('wp_ajax_sct_archived_link','sct_ajax_controling');
add_action('wp_ajax_nopriv_sct_archived_link','sct_ajax_controling');
add_action('wp_ajax_sct_reset_split_cal','sct_ajax_controling');
add_action('wp_ajax_nopriv_sct_reset_split_cal','sct_ajax_controling');
add_action("wp_ajax_sctimgupload",'sct_ajax_controling');
add_action("wp_ajax_nopriv_sctimgupload",'sct_ajax_controling');
//4.3
add_action("wp_ajax_getTree",'sct_ajax_controling');
add_action("wp_ajax_nopriv_getTree",'sct_ajax_controling');
/******WINNER RULE*****/
add_action('wp_ajax_sct_validate_url', 'sct_validate_url');
add_action('wp_ajax_sct_validate_goal_link', 'sct_validate_goal_link');
add_action('wp_ajax_check_if_slug_exists', 'check_if_slug_exists');
add_action('wp_ajax_sct_add_url', 'sct_add_url');
add_action('wp_ajax_sct_split_test_winner', 'sct_split_test_winner');
add_action('wp_ajax_sct_check_if_split_test_finished', 'sct_check_if_split_test_finished');
/******WINNER RULE*****/
add_action("wp_ajax_delete_multiple_links","sct_ajax_controling");
add_action("wp_ajax_nopriv_delete_multiple_links","sct_ajax_controling");
//SCT_CLEAN_STATS
add_action("wp_ajax_sct_clean_stats","sct_ajax_controling");
add_action("wp_ajax_nopriv_sct_clean_stats" ,"sct_ajax_controling");
add_action("wp_ajax_sct_clean_stats_link" ,"sct_ajax_controling");
////one_and_one_export
add_action("wp_ajax_sct_export_link","sct_ajax_controling");
add_action("wp_ajax_nopriv_sct_export_link","sct_ajax_controling");
////assign Group Multiple
add_action("wp_ajax_assign_multiple_group","sct_ajax_controling");
add_action("wp_ajax_nopriv_assign_multiple_group","sct_ajax_controling");
/*****MERGE GROUPS********/
add_action("wp_ajax_merge_links","sct_ajax_controling");
/*****UPDATE UTM ID BULK********/
add_action("wp_ajax_utm_id_bulk_update","sct_ajax_controling");
/****EXPORT SCT DATA TO JSON FORMATE****/
add_action('wp_ajax_sct_GetJsonData', 'sct_ajax_controling');
add_action('wp_ajax_nopriv_sct_GetJsonData', 'sct_ajax_controling');

/**
 * Validated that the added URL exists on the database
 * @param string $_POST['url']
 * @return string
 */
function sct_validate_url() {
	header('Content-Type: application/json');
	global $wpdb;
	$parent_id = sanitize_text_field($_POST['parent_id']);
	if (!filter_var($_POST['url'], FILTER_VALIDATE_URL)) {  
		echo json_encode(['error'=> 'Please insert a valid URL']);
		wp_die();
	}
	$url = str_replace('/','', parse_url($_POST['url']));
	if(!array_key_exists('path', $url)) {
		echo json_encode(['error'=> 'This URL doest not contain a valid path']);
		wp_die();
	}
	$link = $wpdb->get_row($wpdb->prepare("SELECT name, path, url, link_id, is_archived, parent_id, ".$wpdb->prefix."sct_domain.domain_id FROM `".$wpdb->prefix."sct_link` LEFT JOIN ".$wpdb->prefix."sct_domain  ON ".$wpdb->prefix."sct_domain.domain_id = ".$wpdb->prefix."sct_link.domain_id WHERE ".$wpdb->prefix."sct_domain.domain = '%s' AND ".$wpdb->prefix."sct_link.path = '%s' AND ".$wpdb->prefix. "sct_link.is_archived = 0",[$url['host'], $url['path']]));
	//verify if the link has no parent or it's being used as an Alt. Destination elsewhere
	if(isset($link)) {
		if($link->parent_id == 0 && check_if_alt_exists($_POST['url'], $parent_id) === false) {
			echo json_encode($link);
		} else {
			echo json_encode(['error'=> 'This link is being used by another Split Test']);
		}
	} else {
		//I guess that we can just validate here that the links exist as post or page and warn the user so he knows it may get a not found (Talk To David about this)
		if(check_if_slug_exists($_POST['url']) === false) {
			echo json_encode(['warning'=> 'This URL does not belong to any internal post or page']);		
		}
	}
	wp_die();
}
/**
 * Validate if URL exists as an Alt. destination
 * @param string $url
 * @return boolean
 */
function check_if_alt_exists($url, $parent_id) {
	global $wpdb; 
	$alt_url = $wpdb->get_row($wpdb->prepare("SELECT * FROM ". $wpdb->prefix. "sct_link WHERE url = '%s' AND parent_id !=%d",[ esc_url_raw($url), $parent_id]));
	if(isset($alt_url)) {
		return true;
	}
	return false;
}
/**
 * Retrieves the path based on the url ID
 * @param string $_POST['url_id']
 * @return string
 */
function sct_add_url() {
	header('Content-Type: application/json');
	if(!is_admin()) {
		return;
	}
	global $wpdb;
	$url_id = sanitize_text_field($_POST['url_id']);
	$result = $wpdb->get_row($wpdb->prepare("SELECT name, path, url, link_id, ".$wpdb->prefix."sct_domain.domain FROM `".$wpdb->prefix."sct_link` LEFT JOIN ".$wpdb->prefix."sct_domain  ON ".$wpdb->prefix."sct_domain.domain_id = ".$wpdb->prefix."sct_link.domain_id WHERE ".$wpdb->prefix."sct_link.link_id = '%d'",$url_id));
	if(isset($result)) {
		echo json_encode( ['path'=> 'https://' . $result->domain . '/'. $result->path]);
	} else {
		echo json_encode(['error'=> 'URL Not Found']);
	}
	wp_die();
}
/**
 * Updates the current split tesing winner
 * @param int $_POST['winner_id']
 * @param int $_POST['link_id']
 * @return string
 */
function sct_split_test_winner() {
	header('Content-Type: application/json');
	if(!is_admin()) {
		return;
	}
	global $wpdb;
	$winner_id = sanitize_text_field($_POST['winner_id']);
	$parent_id = sanitize_text_field($_POST['link_id']);
	//fetch
	//update non-winner links
	$wpdb->query($wpdb->prepare("UPDATE  ".$wpdb->prefix. "sct_link SET link_ratio = 0, split_test_winner = 0 WHERE link_id != %d AND parent_id = %d", $winner_id, $parent_id));
	if($parent_id == 0) {
		$wpdb->query($wpdb->prepare("UPDATE  ".$wpdb->prefix. "sct_link SET link_ratio = 0, split_test_winner = 0 WHERE link_id != %d AND parent_id = %d", $winner_id, $winner_id));
	} else {
		$wpdb->query($wpdb->prepare("UPDATE  ".$wpdb->prefix. "sct_link SET link_ratio = 0, split_test_winner = 0 WHERE link_id != %d AND ( parent_id = %d OR link_id = %d)", $winner_id, $parent_id, $parent_id));
	}
	//add 100% link ratio to winner link
	$wpdb->query($wpdb->prepare("UPDATE ".$wpdb->prefix. "sct_link SET link_ratio = 100, split_test_winner = 1 WHERE link_id = %d ", [$winner_id]));
	echo json_encode([
		'link_id'=> $winner_id,
	]);
	wp_die();
}
/**
 * Check if this URL exists in a Wordpress post or page
 * @param string $_POST['url']
 * @return string
 */
function check_if_slug_exists($url) {
	header('Content-Type: application/json');
	if(!is_admin()) {
		return false;
	}
	if (!filter_var($_POST['url'], FILTER_VALIDATE_URL)) {  
		echo json_encode(['error'=> 'Please insert a valid URL']);
		wp_die();
	}
	$full_url = str_replace('/','', parse_url($url));
	if(!array_key_exists('path', $full_url)) {
		echo json_encode(['error'=> 'This URL doest not contain a valid path']);
		wp_die();
	}
	if(get_page_by_slug_sct($full_url['path']) != null) {
		return true;
	} else {
		return false;
	}
}
/**
 * Confirm that this is a valid Goal Link (internal SCT URL)
 * @param string $_POST['url'];
 */
function sct_validate_goal_link() {
	header('Content-Type: application/json');
	global $wpdb;
	if (!filter_var($_POST['url'], FILTER_VALIDATE_URL)) {  
		echo json_encode(['error'=> 'Please insert a valid URL']);
		wp_die();
	}
	$url = str_replace('/','', parse_url($_POST['url']));
	if(!array_key_exists('path', $url)) {
		echo json_encode(['error'=> 'This URL doest not contain a valid path']);
		wp_die();
	}
	$link = $wpdb->get_row($wpdb->prepare("SELECT name, path, url, link_id, is_archived, parent_id, ".$wpdb->prefix."sct_domain.domain_id FROM `".$wpdb->prefix."sct_link` LEFT JOIN ".$wpdb->prefix."sct_domain  ON ".$wpdb->prefix."sct_domain.domain_id = ".$wpdb->prefix."sct_link.domain_id WHERE ".$wpdb->prefix."sct_domain.domain = '%s' AND ".$wpdb->prefix."sct_link.path = '%s' AND ".$wpdb->prefix. "sct_link.is_archived = 0",[$url['host'], $url['path']]));
	if(isset($link)) {
		echo json_encode($link);
	} else {
		echo json_encode(['error'=> 'This URL does not exist as an SCT Link']);
	}
	wp_die();
}
/**
 * Check if the slug belongs to a published Post or page.
 */
function get_page_by_slug_sct($page_slug) {
	global $wpdb; 
	$page = $wpdb->get_var( $wpdb->prepare( "SELECT ID FROM $wpdb->posts WHERE post_name = %s AND (post_type='page' OR post_type='post') AND post_status = 'publish'", $page_slug) ); 
	  if ( $page ) 
		 return get_post($page); 
	 return null; 
}
if(isset($_GET['check_winner'])) {
	delete_transient('sct_winner');
}
/**
 * Check if a SCT Link is 
 */
function sct_check_if_split_test_finished() {
	header('Content-Type: application/json');
	global $wpdb;
	$split_test = $wpdb->get_row($wpdb->prepare('SELECT * FROM '.$wpdb->prefix.'sct_link WHERE (parent_id = %d AND split_test_winner = 1) OR (link_id =%d AND split_test_winner = 1)',[$_POST['link_id'], $_POST['link_id']]));
	if($split_test) {
		echo json_encode([
			'finished'=> true,
			'link'=> $split_test
		]);
	} else {
		echo json_encode([
			'finished'=> false,
		]);
	}
	wp_die();
}